<div id="gali_order_mesg">
    <?php
    if ($sf_user->hasAttribute('order_dir')) {
        $dir = $sf_user->getAttribute('order_dir');
    } else {
        $dir = "Asc";
    }
    ?>
    <?php if ($sf_user->hasFlash('notice')): ?>
        <span class="notice"><?php echo $sf_user->getFlash('notice') ?></span>
    <?php endif; ?>
    <?php if ($sf_user->hasFlash('error')): ?>
        <span class="error"><?php echo $sf_user->getFlash('error') ?></span>
    <?php endif; ?>
</div>

<?php if (count($obrazki)): ?>
    <?php $id = $obrazki[0]->getObject()->getGaleriaId(); ?>

    <?php if ($dir == "Asc"): ?>

        <?php
        $sf_user->setAttribute('order_dir', "Des");
        echo link_to_remote(image_tag('admin/down.png', array(
                    'alt' => __('Malejąco'),
                    'title' => __('Malejąco')
                )) . __('Sortuj alfabetycznie'), array(
            'method' => 'get',
            'update' => 'gali_images',
            'script' => true,
            'url' => "igaleria/preview?id=$id&sort=name&dir=$dir",
            'success' => remote_function(array(
                'url' => 'igaleria/sort',
                'update' => 'gali_order',
                'script' => true,
                'success' => "setTimeout(function(){ prepareSort(); },500);",
                'complete' => 'reloadPhotoList(' . $id . ');'
        ))));
        ?>
        <?php
        echo link_to_remote(image_tag('admin/down.png', array(
                    'alt' => __('Malejąco'),
                    'title' => __('Malejąco')
                )) . __('Sortuj według daty dodania'), array(
            'method' => 'get',
            'update' => 'gali_images',
            'script' => true,
            'url' => "igaleria/preview?id=$id&sort=date&dir=$dir",
            'success' => remote_function(array(
                'url' => 'igaleria/sort',
                'update' => 'gali_order',
                'script' => true,
                'success' => "setTimeout(function(){ prepareSort(); },500);",
                'complete' => 'reloadPhotoList(' . $id . ');'
        ))));
        ?>
        <?php
        echo link_to_remote(image_tag('admin/down.png', array(
                    'alt' => __('Malejąco'),
                    'title' => __('Malejąco')
                )) . __('Sortuj według daty wykonania zdjęcia'), array(
            'method' => 'get',
            'update' => 'gali_images',
            'script' => true,
            'url' => "igaleria/preview?id=$id&sort=exif_date&dir=$dir",
            'success' => remote_function(array(
                'url' => 'igaleria/sort',
                'update' => 'gali_order',
                'script' => true,
                'success' => "setTimeout(function(){ prepareSort(); },500);",
                'complete' => 'reloadPhotoList(' . $id . ');'
        ))));
        ?>
    <?php else: ?>
        <?php
        $sf_user->setAttribute('order_dir', "Asc");
        echo link_to_remote(image_tag('admin/up.png', array(
                    'alt' => __('Rosnąco'),
                    'title' => __('Rosnąco')
                )) . __('Sortuj alfabetycznie'), array(
            'method' => 'get',
            'update' => 'gali_images',
            'script' => true,
            'url' => "igaleria/preview?id=$id&sort=name&dir=$dir",
            'success' => remote_function(array(
                'url' => 'igaleria/sort',
                'update' => 'gali_order',
                'script' => true,
                'success' => "setTimeout(function(){ prepareSort(); },500);",
                'complete' => 'reloadPhotoList(' . $id . ');'
        ))));
        ?>
        <?php
        echo link_to_remote(image_tag('admin/up.png', array(
                    'alt' => __('Rosnąco'),
                    'title' => __('Rosnąco')
                )) . __('Sortuj według daty dodania'), array(
            'method' => 'get',
            'update' => 'gali_images',
            'script' => true,
            'url' => "igaleria/preview?id=$id&sort=date&dir=$dir",
            'success' => remote_function(array(
                'url' => 'igaleria/sort',
                'update' => 'gali_order',
                'script' => true,
                'success' => "setTimeout(function(){ prepareSort(); },500);",
                'complete' => 'reloadPhotoList(' . $id . ');'
        ))));
        ?>
        <?php
        echo link_to_remote(image_tag('admin/up.png', array(
                    'alt' => __('Rosnąco'),
                    'title' => __('Rosnąco')
                )) . __('Sortuj według daty wykonania zdjęcia'), array(
            'method' => 'get',
            'update' => 'gali_images',
            'script' => true,
            'url' => "igaleria/preview?id=$id&sort=exif_date&dir=$dir",
            'success' => remote_function(array(
                'url' => 'igaleria/sort',
                'update' => 'gali_order',
                'script' => true,
                'success' => "setTimeout(function(){ prepareSort(); },500);",
                'complete' => 'reloadPhotoList(' . $id . ');'
        ))));
        ?>
    <?php endif; ?>

    <ul id="gal_kolejnosc">
        <?php $lang = $sf_user->getCulture(); ?>
        <?php foreach ($obrazki as $form): ?>
            <?php $obrazek = $form->getObject(); ?>
            <?php $oid = $obrazek->getId(); ?>
            <?php $gid = $obrazek->getGaleriaId(); ?>
            <li id="obraz_<?php echo $oid ?>" class="gal_sortable">
                <hr/>
                <table>
                    <tr>
                        <td><?php echo image_tag($obrazek->getMiniLink()) ?></td>
                        <td><?php echo $obrazek->getTytul() . '<br/><hr/><br/>' . $obrazek->getopis() ?></td>
                    </tr>
                </table>
                <hr/>
            </li>
        <?php endforeach; ?>
    </ul>
<?php else: ?>
    <?php echo __('Brak obrazków.') ?>
<?php endif; ?>