<div class="right_item_title"><?php echo $form->getObject()->isNew() ? __('DODAWANIE OBRAZU') : __('EDYCJA OBRAZU') ?></div>
<div class="strona_title"><?php echo $form->getObject()->isNew() ? __('Nowy obraz') : $form->getObject()->getTytul() ?></div>
<?php
echo form_remote_tag(array(
    'url' => 'igobraz/save',
    'method' => 'post',
    'script' => true,
    'update' => 'cms_right_panel',
    'complete' => "moveActions();" . remote_function(array(
        'update' => 'cms_center_panel_content',
        'url' => 'igkategoria/struktura',
    ))
        ), array('id' => 'gal_form',))
?>

<ul class="error_list"><?php
    foreach ($errors as $name => $err) {
        echo "<li>$name: $err</li>";
    }
    ?></ul>

<fieldset class="editor">
    <legend><?php echo __('Obrazek') ?></legend>
    <iframe  id="preview_frame" style="width: 100%; height: 220px;" src="<?php echo url_for("igobraz/upload?gid=$gid") ?>"></iframe>
    <?php
    if (!$form->getObject()->isNew()) {
        $size = UstawieniePeer::getProperties('gali_config_mini');
        if (count($size) != 2) {
            $size = sfConfig::get('app_size_mini');
        }
        include_partial('frontend/editPix', array(
            'nazwa' => 'mini',
            'size_x' => $size['x'],
            'size_y' => $size['y'],
            'name' => __('Edytuj Miniaturkę'),
            'in_file' => image_path('../uploads/temp/gali/gal_' . $form['galeria_id']->getValue() . '/orginal_' . $form['nazwa_pliku']->getValue()),
            'out_url' => url_for("igobraz/thumbnailSave?size=mini"),
            'return_url' => url_for('igaleria/edit?id=' . $form['galeria_id']->getValue())
        ));

        $size = UstawieniePeer::getProperties('gali_config_thumb');
        if (count($size) != 2) {
            $size = sfConfig::get('app_size_thumb');
        }
        include_partial('frontend/editPix', array(
            'nazwa' => 'thumb',
            'size_x' => $size['x'],
            'size_y' => $size['y'],
            'name' => __('Edytuj Zajawkę'),
            'in_file' => image_path('../uploads/temp/gali/gal_' . $form['galeria_id']->getValue() . '/orginal_' . $form['nazwa_pliku']->getValue()),
            'out_url' => url_for("igobraz/thumbnailSave?size=thumb"),
            'return_url' => url_for('igaleria/edit?id=' . $form['galeria_id']->getValue())
        ));

        $size = UstawieniePeer::getProperties('gali_config_normal');
        if (count($size) != 2) {
            $size = sfConfig::get('app_size_normal');
        }
        include_partial('frontend/editPix', array(
            'nazwa' => 'normal',
            'size_x' => $size['x'],
            'size_y' => $size['y'],
            'name' => __('Edytuj Obrazek'),
            'in_file' => image_path('../uploads/temp/gali/gal_' . $form['galeria_id']->getValue() . '/orginal_' . $form['nazwa_pliku']->getValue()),
            'out_url' => url_for("igobraz/thumbnailSave?size=normal"),
            'return_url' => url_for('igaleria/edit?id=' . $form['galeria_id']->getValue())
        ));
    }
    ?>
</fieldset>
<fieldset class="editor">
    <legend><?php echo __('Dane podstawowe') ?></legend>
    <table>
        <tr><td><?php echo $form['tytul']->renderLabel(null, array('style' => 'width:120px;display:block;')) ?></td>
            <td><?php echo $form['tytul']->renderError() ?>
                <?php echo $form['tytul'] ?></td>
        </tr>
        <tr><th></th><td class="help"><?php echo $form['tytul']->renderHelp() ?></td></tr>
        <tr><td><?php echo $form['galeria_id']->renderLabel(null, array('style' => 'width:120px;display:block;')) ?></td>
            <td><?php echo $form['galeria_id']->renderError() ?>
                <?php echo $form['galeria_id'] ?></td>
        </tr>
        <tr><th></th><td class="help"><?php echo $form['galeria_id']->renderHelp() ?></td></tr>
    </table>
</fieldset>

<?php $cultures = JezykTblPeer::getLangsForModul('gali'); ?>
<ul class="tabs" id="tab-container-2-nav">
    <?php foreach ($cultures as $cul): ?>
        <li class="sel"><a name="tab2_<?php echo $cul->getJezykSkrot(); ?>"><?php echo image_tag('admin/lang_icons/ico_' . $cul->getJezykSkrot() . '.gif', array('alt' => 'ikona', 'style' => 'width:15px; margin: 0px 4px 0px 0px; border: none;')); ?><?php echo __($cul->getJezykNazwa()); ?></a></li>
    <?php endforeach; ?>
</ul>
<!-- koniec menu z zakladkami jezykow-->

<fieldset class='editor' id='sam_admin_container' >
    <legend>Opis</legend>
    <!-- Menu z zakładkami jezykow -->
    <?php echo $form->renderHiddenFields() ?>
    <?php //echo $form->render(); ?>
    <div id="tab-container-2">
        <?php foreach ($cultures as $cul): ?>
            <div class="tab2" id="tab2_<?php echo $cul->getJezykSkrot(); ?>">
                <table>
                    <tr>
                        <td class="label_right"><?php echo $form[$cul->getJezykSkrot()]['nazwa']->renderLabel(null, array('style' => 'width:120px;display:block;')) ?></td>                          <?php echo $form[$cul->getJezykSkrot()]['nazwa']->renderError() ?>
                        <td><?php
                            echo $form[$cul->getJezykSkrot()]['nazwa']->render(array(
                                'style' => 'width:350px;',
                                'onchange' => "opisy=true;"))
                            ?>
                        </td>
                    </tr><tr>
                        <td class="label_right"><?php echo $form[$cul->getJezykSkrot()]['opis']->renderLabel(null, array('style' => 'width:120px;display:block;')) ?></td>
                        <td><?php echo $form[$cul->getJezykSkrot()]['opis']->renderError() ?>
                            <?php
                            echo $form[$cul->getJezykSkrot()]['opis']->render(array(
                                'style' => 'width:350px;',
                                'onchange' => "opisy=true;"))
                            ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form[$cul->getJezykSkrot()]['opis']->renderHelp() ?></td></tr>
                </table>
            </div>
        <?php endforeach; ?>
    </div>
</fieldset>

<div style="margin: 4px 0px 0px; float: right;">
    <?php include_partial('igobraz/actions', array('gid' => $gid, 'obraz' => $form->getObject())); ?>
</div>
<?php echo '</form>' ?>
<?php javascript_tag(); ?>
var tabber2 = new Yetii({id: 'tab-container-2', tabclass:'tab2'});

if("<?php echo $message ?>" != "")
{
$("updater").innerHTML = '<span class="notice"><?php echo $message ?></span>';
}
else
{
$("updater").innerHTML = '';
}
<?php end_javascript_tag(); ?>