<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GaleriaIPub filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGaleriaIPubFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'updated_at'         => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'created_at'         => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'kolejnosc'          => new sfWidgetFormFilterInput(),
      'widoczna'           => new sfWidgetFormFilterInput(),
      'obraz_id'           => new sfWidgetFormPropelChoice(array('model' => 'GiObrazPub', 'add_empty' => true)),
      'x'                  => new sfWidgetFormFilterInput(),
      'y'                  => new sfWidgetFormFilterInput(),
      'z'                  => new sfWidgetFormFilterInput(),
      'uzytkownik_dane'    => new sfWidgetFormFilterInput(),
      'uzytkownik_kontakt' => new sfWidgetFormFilterInput(),
      'opublikowal'        => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
      'subkategoria_id'    => new sfWidgetFormPropelChoice(array('model' => 'GiSubkategoria', 'add_empty' => true)),
      'komentarz'          => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'updated_at'         => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'created_at'         => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'kolejnosc'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'widoczna'           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'obraz_id'           => new sfValidatorPropelChoice(array('required' => false, 'model' => 'GiObrazPub', 'column' => 'id')),
      'x'                  => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'y'                  => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'z'                  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'uzytkownik_dane'    => new sfValidatorPass(array('required' => false)),
      'uzytkownik_kontakt' => new sfValidatorPass(array('required' => false)),
      'opublikowal'        => new sfValidatorPropelChoice(array('required' => false, 'model' => 'sfGuardUser', 'column' => 'id')),
      'subkategoria_id'    => new sfValidatorPropelChoice(array('required' => false, 'model' => 'GiSubkategoria', 'column' => 'id')),
      'komentarz'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('galeria_i_pub_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GaleriaIPub';
  }

  public function getFields()
  {
    return array(
      'id'                 => 'ForeignKey',
      'updated_at'         => 'Date',
      'created_at'         => 'Date',
      'kolejnosc'          => 'Number',
      'widoczna'           => 'Number',
      'obraz_id'           => 'ForeignKey',
      'x'                  => 'Number',
      'y'                  => 'Number',
      'z'                  => 'Number',
      'uzytkownik_dane'    => 'Text',
      'uzytkownik_kontakt' => 'Text',
      'opublikowal'        => 'ForeignKey',
      'subkategoria_id'    => 'ForeignKey',
      'komentarz'          => 'Number',
    );
  }
}
