<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GiKategoria filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGiKategoriaFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'updated_at' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'created_at' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'kolejnosc'  => new sfWidgetFormFilterInput(),
      'widoczna'   => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'updated_at' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'created_at' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'kolejnosc'  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'widoczna'   => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('gi_kategoria_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiKategoria';
  }

  public function getFields()
  {
    return array(
      'id'         => 'Number',
      'updated_at' => 'Date',
      'created_at' => 'Date',
      'kolejnosc'  => 'Number',
      'widoczna'   => 'Number',
    );
  }
}
