<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GiKategoriaI18n filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGiKategoriaI18nFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nazwa'   => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'nazwa'   => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('gi_kategoria_i18n_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiKategoriaI18n';
  }

  public function getFields()
  {
    return array(
      'nazwa'   => 'Text',
      'id'      => 'ForeignKey',
      'culture' => 'Text',
    );
  }
}
