<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GiObraz filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGiObrazFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'created_at'  => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'updated_at'  => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'nazwa_pliku' => new sfWidgetFormFilterInput(),
      'tytul'       => new sfWidgetFormFilterInput(),
      'kolejnosc'   => new sfWidgetFormFilterInput(),
      'galeria_id'  => new sfWidgetFormPropelChoice(array('model' => 'GaleriaI', 'add_empty' => true)),
      'exif_data'   => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
    ));

    $this->setValidators(array(
      'created_at'  => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'updated_at'  => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'nazwa_pliku' => new sfValidatorPass(array('required' => false)),
      'tytul'       => new sfValidatorPass(array('required' => false)),
      'kolejnosc'   => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'galeria_id'  => new sfValidatorPropelChoice(array('required' => false, 'model' => 'GaleriaI', 'column' => 'id')),
      'exif_data'   => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
    ));

    $this->widgetSchema->setNameFormat('gi_obraz_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiObraz';
  }

  public function getFields()
  {
    return array(
      'id'          => 'Number',
      'created_at'  => 'Date',
      'updated_at'  => 'Date',
      'nazwa_pliku' => 'Text',
      'tytul'       => 'Text',
      'kolejnosc'   => 'Number',
      'galeria_id'  => 'ForeignKey',
      'exif_data'   => 'Date',
    );
  }
}
