<?php

/**
 * GaleriaII18n form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class GaleriaII18nForm extends BaseGaleriaII18nForm {

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

    public function setup() {
        $this->setWidgets(array(
            'tytul' => new sfWidgetFormInput(array(), array(
                'maxlength' => 200
                    )),
            'zajawka' => new sfWidgetFormTextarea(array(), array(
                'onkeyup' =>
                "var text = String(this.value);
           if (text.length > 250) {
            alert('max 250 znaków!'); 
            text = text.slice(0,250);
            this.value = text;
         };"
                    )),
            'id' => new sfWidgetFormInputHidden(),
            'culture' => new sfWidgetFormInputHidden(),
        ));

        $this->setValidators(array(
            'zajawka' => new sfValidatorString(array('max_length' => 250, 'required' => false)),
            'tytul' => new sfValidatorString(array('max_length' => 200, 'required' => true)),
            'id' => new sfValidatorPropelChoice(array('model' => 'GaleriaI', 'column' => 'id', 'required' => false)),
            'culture' => new sfValidatorPropelChoice(array('model' => 'GaleriaII18n', 'column' => 'culture', 'required' => false)),
        ));

        $this->widgetSchema->setLabels(array(
            'tytul' => 'Nazwa galerii',
            'opis' => 'Opis galerii'
        ));

        $this->widgetSchema->setHelps(array(
            'tytul' => "Podaj nazwę galerii (max 200 znaków).",
            'zajawka' => "Dodaj krótki opis galerii (max 250 znaków)."
        ));

        $this->widgetSchema->setNameFormat('galeria_i18n[%s]');
        $this->widgetSchema->setFormFormatterName('sam3');

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        $this->setRequiredFields();
        BaseFormPropel::setup();
    }

}
