<?php

/**
 * GiSubkategoria form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class GiSubkategoriaForm extends BaseGiSubkategoriaForm
{
 public function setup() {
    $this->setWidgets(array(
        'id'           => new sfWidgetFormInputHidden(),
        'kategoria_id' => new sfWidgetFormPropelChoice(array('model' => 'GiKategoria')),
    ));

    $this->setValidators(array(
        'id'           => new sfValidatorPropelChoice(array('model' => 'GiSubkategoria', 'column' => 'id', 'required' => false)),
        'kategoria_id' => new sfValidatorPropelChoice(array('model' => 'GiKategoria', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('g_subkategoria[%s]');
    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
    $this->widgetSchema->setFormFormatterName('sam3');

    $this->widgetSchema->setLabels(array(
            'kategoria_id' => 'Kategoria'
        ));

    $this->widgetSchema->setHelps(array(
            'kategoria_id' => 'Wybierz, do której kategorii należy dana podkategoria'
        ));

    $cultures = JezykTblPeer::getCulturesForModul('gali');
    $this->embedI18n($cultures);
  }
  
  public function configure() {
      $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
  }
}
