<?php

/**
 * GaleriaI form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGaleriaIForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                 => new sfWidgetFormInputHidden(),
      'updated_at'         => new sfWidgetFormDateTime(),
      'created_at'         => new sfWidgetFormDateTime(),
      'kolejnosc'          => new sfWidgetFormInput(),
      'widoczna'           => new sfWidgetFormInput(),
      'obraz_id'           => new sfWidgetFormPropelChoice(array('model' => 'GiObraz', 'add_empty' => true)),
      'x'                  => new sfWidgetFormInput(),
      'y'                  => new sfWidgetFormInput(),
      'z'                  => new sfWidgetFormInput(),
      'uzytkownik_dane'    => new sfWidgetFormInput(),
      'uzytkownik_kontakt' => new sfWidgetFormInput(),
      'opublikowal'        => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
      'subkategoria_id'    => new sfWidgetFormPropelChoice(array('model' => 'GiSubkategoria', 'add_empty' => false)),
      'komentarz'          => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                 => new sfValidatorPropelChoice(array('model' => 'GaleriaI', 'column' => 'id', 'required' => false)),
      'updated_at'         => new sfValidatorDateTime(array('required' => false)),
      'created_at'         => new sfValidatorDateTime(array('required' => false)),
      'kolejnosc'          => new sfValidatorInteger(array('required' => false)),
      'widoczna'           => new sfValidatorInteger(),
      'obraz_id'           => new sfValidatorPropelChoice(array('model' => 'GiObraz', 'column' => 'id', 'required' => false)),
      'x'                  => new sfValidatorNumber(array('required' => false)),
      'y'                  => new sfValidatorNumber(array('required' => false)),
      'z'                  => new sfValidatorInteger(array('required' => false)),
      'uzytkownik_dane'    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'uzytkownik_kontakt' => new sfValidatorString(array('max_length' => 255)),
      'opublikowal'        => new sfValidatorPropelChoice(array('model' => 'sfGuardUser', 'column' => 'id', 'required' => false)),
      'subkategoria_id'    => new sfValidatorPropelChoice(array('model' => 'GiSubkategoria', 'column' => 'id')),
      'komentarz'          => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('galeria_i[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GaleriaI';
  }

  public function getI18nModelName()
  {
    return 'GaleriaII18n';
  }

  public function getI18nFormClass()
  {
    return 'GaleriaII18nForm';
  }

}
