<?php

/**
 * GaleriaIPubI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGaleriaIPubI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'zajawka' => new sfWidgetFormInput(),
      'tytul'   => new sfWidgetFormInput(),
      'id'      => new sfWidgetFormInputHidden(),
      'culture' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'zajawka' => new sfValidatorString(array('max_length' => 250, 'required' => false)),
      'tytul'   => new sfValidatorString(array('max_length' => 200)),
      'id'      => new sfValidatorPropelChoice(array('model' => 'GaleriaIPub', 'column' => 'id', 'required' => false)),
      'culture' => new sfValidatorPropelChoice(array('model' => 'GaleriaIPubI18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('galeria_i_pub_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GaleriaIPubI18n';
  }


}
