<?php

/**
 * GiKategoria form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGiKategoriaForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'updated_at' => new sfWidgetFormDateTime(),
      'created_at' => new sfWidgetFormDateTime(),
      'kolejnosc'  => new sfWidgetFormInput(),
      'widoczna'   => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'GiKategoria', 'column' => 'id', 'required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'kolejnosc'  => new sfValidatorInteger(array('required' => false)),
      'widoczna'   => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('gi_kategoria[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiKategoria';
  }

  public function getI18nModelName()
  {
    return 'GiKategoriaI18n';
  }

  public function getI18nFormClass()
  {
    return 'GiKategoriaI18nForm';
  }

}
