<?php

/**
 * GiObrazPubI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGiObrazPubI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nazwa'   => new sfWidgetFormInput(),
      'opis'    => new sfWidgetFormTextarea(),
      'id'      => new sfWidgetFormInputHidden(),
      'culture' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'nazwa'   => new sfValidatorString(array('max_length' => 200, 'required' => false)),
      'opis'    => new sfValidatorString(array('required' => false)),
      'id'      => new sfValidatorPropelChoice(array('model' => 'GiObrazPub', 'column' => 'id', 'required' => false)),
      'culture' => new sfValidatorPropelChoice(array('model' => 'GiObrazPubI18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('gi_obraz_pub_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiObrazPubI18n';
  }


}
