<?php



class GaleriaII18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GaleriaII18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GaleriaII18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GaleriaII18nPeer::TABLE_NAME);
		$tMap->setPhpName('GaleriaII18n');
		$tMap->setClassname('GaleriaII18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('ZAJAWKA', 'Zajawka', 'VARCHAR', false, 250);

		$tMap->addColumn('TYTUL', 'Tytul', 'VARCHAR', true, 200);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'igaleria_tbl', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 