<?php



class GiStatMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiStatMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiStatPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiStatPeer::TABLE_NAME);
		$tMap->setPhpName('GiStat');
		$tMap->setClassname('GiStat');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('GALERIA_ID', 'GaleriaId', 'INTEGER' , 'igaleria_pub', 'ID', true, null);

		$tMap->addPrimaryKey('ROK', 'Rok', 'INTEGER', true, 4);

		$tMap->addPrimaryKey('MIESIAC', 'Miesiac', 'INTEGER', true, 2);

		$tMap->addColumn('WEJSC', 'Wejsc', 'INTEGER', false, 11);

	} 
} 