<?php


abstract class BaseGiKategoriaPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'igaleria_kategoria_tbl';

	
	const CLASS_DEFAULT = 'lib.model.GiKategoria';

	
	const NUM_COLUMNS = 5;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'igaleria_kategoria_tbl.ID';

	
	const UPDATED_AT = 'igaleria_kategoria_tbl.UPDATED_AT';

	
	const CREATED_AT = 'igaleria_kategoria_tbl.CREATED_AT';

	
	const KOLEJNOSC = 'igaleria_kategoria_tbl.KOLEJNOSC';

	
	const WIDOCZNA = 'igaleria_kategoria_tbl.WIDOCZNA';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'UpdatedAt', 'CreatedAt', 'Kolejnosc', 'Widoczna', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'updatedAt', 'createdAt', 'kolejnosc', 'widoczna', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::UPDATED_AT, self::CREATED_AT, self::KOLEJNOSC, self::WIDOCZNA, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'updated_at', 'created_at', 'kolejnosc', 'widoczna', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'UpdatedAt' => 1, 'CreatedAt' => 2, 'Kolejnosc' => 3, 'Widoczna' => 4, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'updatedAt' => 1, 'createdAt' => 2, 'kolejnosc' => 3, 'widoczna' => 4, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::UPDATED_AT => 1, self::CREATED_AT => 2, self::KOLEJNOSC => 3, self::WIDOCZNA => 4, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'updated_at' => 1, 'created_at' => 2, 'kolejnosc' => 3, 'widoczna' => 4, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new GiKategoriaMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(GiKategoriaPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(GiKategoriaPeer::ID);

		$criteria->addSelectColumn(GiKategoriaPeer::UPDATED_AT);

		$criteria->addSelectColumn(GiKategoriaPeer::CREATED_AT);

		$criteria->addSelectColumn(GiKategoriaPeer::KOLEJNOSC);

		$criteria->addSelectColumn(GiKategoriaPeer::WIDOCZNA);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiKategoriaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiKategoriaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = GiKategoriaPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return GiKategoriaPeer::populateObjects(GiKategoriaPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			GiKategoriaPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(GiKategoria $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof GiKategoria) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or GiKategoria object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = GiKategoriaPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = GiKategoriaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = GiKategoriaPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				GiKategoriaPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  
  public static function doSelectWithI18n(Criteria $c, $culture = null, PropelPDO $con = null)
  {
        $c = clone $c;
    if ($culture === null)
    {
      $culture = sfPropel::getDefaultCulture();
    }

        if ($c->getDbName() == Propel::getDefaultDB())
    {
      $c->setDbName(self::DATABASE_NAME);
    }

    GiKategoriaPeer::addSelectColumns($c);
    $startcol = (GiKategoriaPeer::NUM_COLUMNS - GiKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

    GiKategoriaI18nPeer::addSelectColumns($c);

    $c->addJoin(GiKategoriaPeer::ID, GiKategoriaI18nPeer::ID, Criteria::LEFT_JOIN);
    $c->add(GiKategoriaI18nPeer::CULTURE, $culture);

    $stmt = BasePeer::doSelect($c, $con);
    $results = array();

    while($row = $stmt->fetch(PDO::FETCH_NUM)) {

      $omClass = GiKategoriaPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj1 = new $cls();
      $obj1->hydrate($row);
      $obj1->setCulture($culture);

      $omClass = GiKategoriaI18nPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj2 = new $cls();
      $obj2->hydrate($row, $startcol);

      $obj1->setGiKategoriaI18nForCulture($obj2, $culture);
      $obj2->setGiKategoria($obj1);

      $results[] = $obj1;
    }
    return $results;
  }


  
  public static function getI18nModel()
  {
    return 'GiKategoriaI18n';
  }


	
	public static function doSelectJoinAllWithI18n(Criteria $c, $culture = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;        

    
		if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GiKategoriaPeer::addSelectColumns($c);
		$startcol2 = (GiKategoriaPeer::NUM_COLUMNS - GiKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);            

        GiKategoriaI18nPeer::addSelectColumns($c);
        
        $c->addJoin(GiKategoriaPeer::ID, GiKategoriaI18nPeer::ID, $join_behavior);
        if($culture)
        {
            $c->add(GiKategoriaI18nPeer::CULTURE, $culture);
        }

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GiKategoriaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GiKategoriaPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GiKategoriaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GiKategoriaPeer::addInstanceToPool($obj1, $key1);
			} 
                  
            $omClass = GiKategoriaI18nPeer::getOMClass();
                
            $cls = Propel::importClass($omClass);
            $obj2 = new $cls();
            $obj2->hydrate($row, $startcol2);

            if($culture)
            {
                $obj1->setGiKategoriaI18nForCulture($obj2, $culture);
            }
            else
            {                
                $obj1->setGiKategoriaI18nForCulture($obj2, $obj2->getCulture());
            }
            $obj2->setGiKategoria($obj1);

			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return GiKategoriaPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(GiKategoriaPeer::ID) && $criteria->keyContainsValue(GiKategoriaPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.GiKategoriaPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(GiKategoriaPeer::ID);
			$selectCriteria->add(GiKategoriaPeer::ID, $criteria->remove(GiKategoriaPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(GiKategoriaPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												GiKategoriaPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof GiKategoria) {
						GiKategoriaPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(GiKategoriaPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								GiKategoriaPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						GiKategoriaI18nPeer::clearInstancePool();

						GiSubkategoriaPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(GiKategoria $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(GiKategoriaPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(GiKategoriaPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(GiKategoriaPeer::DATABASE_NAME, GiKategoriaPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = GiKategoriaPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = GiKategoriaPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(GiKategoriaPeer::DATABASE_NAME);
		$criteria->add(GiKategoriaPeer::ID, $pk);

		$v = GiKategoriaPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(GiKategoriaPeer::DATABASE_NAME);
			$criteria->add(GiKategoriaPeer::ID, $pks, Criteria::IN);
			$objs = GiKategoriaPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseGiKategoriaPeer::DATABASE_NAME)->addTableBuilder(BaseGiKategoriaPeer::TABLE_NAME, BaseGiKategoriaPeer::getMapBuilder());

