<?php


abstract class BaseGiObrazPubPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'igaleria_obraz_pub';

	
	const CLASS_DEFAULT = 'lib.model.GiObrazPub';

	
	const NUM_COLUMNS = 8;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'igaleria_obraz_pub.ID';

	
	const CREATED_AT = 'igaleria_obraz_pub.CREATED_AT';

	
	const UPDATED_AT = 'igaleria_obraz_pub.UPDATED_AT';

	
	const NAZWA_PLIKU = 'igaleria_obraz_pub.NAZWA_PLIKU';

	
	const TYTUL = 'igaleria_obraz_pub.TYTUL';

	
	const KOLEJNOSC = 'igaleria_obraz_pub.KOLEJNOSC';

	
	const GALERIA_ID = 'igaleria_obraz_pub.GALERIA_ID';

	
	const EXIF_DATA = 'igaleria_obraz_pub.EXIF_DATA';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'CreatedAt', 'UpdatedAt', 'NazwaPliku', 'Tytul', 'Kolejnosc', 'GaleriaId', 'ExifData', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'createdAt', 'updatedAt', 'nazwaPliku', 'tytul', 'kolejnosc', 'galeriaId', 'exifData', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::CREATED_AT, self::UPDATED_AT, self::NAZWA_PLIKU, self::TYTUL, self::KOLEJNOSC, self::GALERIA_ID, self::EXIF_DATA, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'created_at', 'updated_at', 'nazwa_pliku', 'tytul', 'kolejnosc', 'galeria_id', 'exif_data', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'CreatedAt' => 1, 'UpdatedAt' => 2, 'NazwaPliku' => 3, 'Tytul' => 4, 'Kolejnosc' => 5, 'GaleriaId' => 6, 'ExifData' => 7, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'createdAt' => 1, 'updatedAt' => 2, 'nazwaPliku' => 3, 'tytul' => 4, 'kolejnosc' => 5, 'galeriaId' => 6, 'exifData' => 7, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::CREATED_AT => 1, self::UPDATED_AT => 2, self::NAZWA_PLIKU => 3, self::TYTUL => 4, self::KOLEJNOSC => 5, self::GALERIA_ID => 6, self::EXIF_DATA => 7, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'created_at' => 1, 'updated_at' => 2, 'nazwa_pliku' => 3, 'tytul' => 4, 'kolejnosc' => 5, 'galeria_id' => 6, 'exif_data' => 7, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new GiObrazPubMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(GiObrazPubPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(GiObrazPubPeer::ID);

		$criteria->addSelectColumn(GiObrazPubPeer::CREATED_AT);

		$criteria->addSelectColumn(GiObrazPubPeer::UPDATED_AT);

		$criteria->addSelectColumn(GiObrazPubPeer::NAZWA_PLIKU);

		$criteria->addSelectColumn(GiObrazPubPeer::TYTUL);

		$criteria->addSelectColumn(GiObrazPubPeer::KOLEJNOSC);

		$criteria->addSelectColumn(GiObrazPubPeer::GALERIA_ID);

		$criteria->addSelectColumn(GiObrazPubPeer::EXIF_DATA);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiObrazPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiObrazPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = GiObrazPubPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return GiObrazPubPeer::populateObjects(GiObrazPubPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			GiObrazPubPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(GiObrazPub $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof GiObrazPub) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or GiObrazPub object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = GiObrazPubPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = GiObrazPubPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				GiObrazPubPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinGaleriaIPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiObrazPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiObrazPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GiObrazPubPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinGaleriaIPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GiObrazPubPeer::addSelectColumns($c);
		$startcol = (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);
		GaleriaIPubPeer::addSelectColumns($c);

		$c->addJoin(array(GiObrazPubPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GiObrazPubPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GiObrazPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GiObrazPubPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = GaleriaIPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPubPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					GaleriaIPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGiObrazPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiObrazPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiObrazPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GiObrazPubPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GiObrazPubPeer::addSelectColumns($c);
		$startcol2 = (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(GiObrazPubPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GiObrazPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GiObrazPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GiObrazPubPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = GaleriaIPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGiObrazPub($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  
  public static function doSelectWithI18n(Criteria $c, $culture = null, PropelPDO $con = null)
  {
        $c = clone $c;
    if ($culture === null)
    {
      $culture = sfPropel::getDefaultCulture();
    }

        if ($c->getDbName() == Propel::getDefaultDB())
    {
      $c->setDbName(self::DATABASE_NAME);
    }

    GiObrazPubPeer::addSelectColumns($c);
    $startcol = (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

    GiObrazPubI18nPeer::addSelectColumns($c);

    $c->addJoin(GiObrazPubPeer::ID, GiObrazPubI18nPeer::ID, Criteria::LEFT_JOIN);
    $c->add(GiObrazPubI18nPeer::CULTURE, $culture);

    $stmt = BasePeer::doSelect($c, $con);
    $results = array();

    while($row = $stmt->fetch(PDO::FETCH_NUM)) {

      $omClass = GiObrazPubPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj1 = new $cls();
      $obj1->hydrate($row);
      $obj1->setCulture($culture);

      $omClass = GiObrazPubI18nPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj2 = new $cls();
      $obj2->hydrate($row, $startcol);

      $obj1->setGiObrazPubI18nForCulture($obj2, $culture);
      $obj2->setGiObrazPub($obj1);

      $results[] = $obj1;
    }
    return $results;
  }


  
  public static function getI18nModel()
  {
    return 'GiObrazPubI18n';
  }


	
	public static function doSelectJoinAllWithI18n(Criteria $c, $culture = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;        

    
		if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GiObrazPubPeer::addSelectColumns($c);
		$startcol2 = (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);            

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

        GiObrazPubI18nPeer::addSelectColumns($c);
        
        $c->addJoin(GiObrazPubPeer::ID, GiObrazPubI18nPeer::ID, $join_behavior);
        if($culture)
        {
            $c->add(GiObrazPubI18nPeer::CULTURE, $culture);
        }

		$c->addJoin(array(GiObrazPubPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GiObrazPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GiObrazPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GiObrazPubPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = GaleriaIPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGiObrazPub($obj1);
			} 
                  
            $omClass = GiObrazPubI18nPeer::getOMClass();
                
            $cls = Propel::importClass($omClass);
            $obj3 = new $cls();
            $obj3->hydrate($row, $startcol3);

            if($culture)
            {
                $obj1->setGiObrazPubI18nForCulture($obj3, $culture);
            }
            else
            {                
                $obj1->setGiObrazPubI18nForCulture($obj3, $obj3->getCulture());
            }
            $obj3->setGiObrazPub($obj1);

			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return GiObrazPubPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(GiObrazPubPeer::ID);
			$selectCriteria->add(GiObrazPubPeer::ID, $criteria->remove(GiObrazPubPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(GiObrazPubPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												GiObrazPubPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof GiObrazPub) {
						GiObrazPubPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(GiObrazPubPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								GiObrazPubPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						GaleriaIPubPeer::clearInstancePool();

						GiObrazPubI18nPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(GiObrazPub $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(GiObrazPubPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(GiObrazPubPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(GiObrazPubPeer::DATABASE_NAME, GiObrazPubPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = GiObrazPubPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = GiObrazPubPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(GiObrazPubPeer::DATABASE_NAME);
		$criteria->add(GiObrazPubPeer::ID, $pk);

		$v = GiObrazPubPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiObrazPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(GiObrazPubPeer::DATABASE_NAME);
			$criteria->add(GiObrazPubPeer::ID, $pks, Criteria::IN);
			$objs = GiObrazPubPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseGiObrazPubPeer::DATABASE_NAME)->addTableBuilder(BaseGiObrazPubPeer::TABLE_NAME, BaseGiObrazPubPeer::getMapBuilder());

