<?php slot('top')?>
    <?php GenerateTab('galp'); ?>
<?php end_slot()?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<?php slot('actions'); ?>
    <?php GenerateButton(9,__('Anuluj'),"document.location.href=('".url_for('igaleria_stat/index')."');"); ?>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_12"></div>
                <?php echo __('MENU') ?>
            </div>
            
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('STATYSTYKI') ?></div>
        <div class="strona_title"><?php echo $title?></div>

        <table class="table_list">
            <thead>
                <tr>
                    <th id="sf_admin_list_th_y"><?php echo __('Rok') ?></th>
                    <th id="sf_admin_list_th_m"><?php echo __('Miesiąc') ?></th>
                    <th colspan="2" id="sf_admin_list_th_visits"><?php echo __('Wyświetleń') ?></th>
                </tr>
            </thead>

            <tbody>
                <tr class="sf_admin_row">
                    <?php $views = $rank->getViews(); ?>
                    <td><?php echo substr($rank->getUpdatedAt(),0,4)?></td>
                    <td><?php echo __($rank->getUpdatedAt('F'))?></td>
                    <?php $percent = (round(($rank->getViews()/$max)*100,2)) ?>
                    <td><b><?php echo $percent?>% (<?php echo $views?>)</b></td>
                    <td><div style="width: 116px; border: 1px solid silver;" ><?php echo image_tag('stats/bar_l.gif').image_tag('stats/bar.gif',array('style'=>"width: {$percent}px; height: 16px;")).image_tag('stats/bar_r.gif')?></div></td>
                </tr>
                <?php foreach ($stats as $res) { ?>
                <tr class="row">
                        <?php $views += $res->getWejsc()?>
                    <td><?php echo $res->getRok()?></td>
                    <td><?php echo __(date('F',strtotime("{$res->getRok()}-{$res->getMiesiac()}-01")))?></td>
                        <?php $percent = (round(($res->getWejsc()/$max)*100,2)) ?>
                    <td><b><?php echo $percent?>% (<?php echo $res->getWejsc()?>)</b></td>
                    <td><div style="width: 116px; border: 1px solid silver;" ><?php echo image_tag('stats/bar_l.gif').image_tag('stats/bar.gif',array('style'=>"width: {$percent}px; height: 16px;")).image_tag('stats/bar_r.gif')?></div></td>
                </tr>
                <?php } ?>
            </tbody>

            <tfoot>
                <tr>
                    <th colspan="3" class="result_separator">
                        <div style="float:left;">
                            <?php echo __('Ostatnie wyświetlenie').': '.$rank->getUpdatedAt() ?>
                        </div>
                    </th>
                    <th class="result_separator">
                        <div style="float:left;">
                            <?php echo __('Razem').': '.$views.' '.__('wyświetleń') ?>
                        </div>
                    </th>
                </tr>
            </tfoot>

        </table>
        <div style="margin: 4px 0px 0px; float: right;">
              <?php GenerateButton(9,__('Anuluj'),"document.location.href=('".url_for('igaleria_stat/index')."');");?>
        </div>

    </div>
</div>
