<?php
// [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
$shrink = sfConfig::get('app_shrink');

// [PRESET] grafika zajawki
$img_size = sfConfig::get('app_img_size'); // {null, mini, thumb, normal}

// [PRESET] id komponentu
$comp_id = 'gali_kategoriarest';

// [PRESET] tryb widoku
$view_mode = $sf_request->getCookie('view_mode_'.$comp_id, sfConfig::get('app_view_mode'));

// [PRESET] kolumnowosc
$side_style = sfConfig::get('app_side_style');

// [PRESET] ilosc zajawek
$ilosc = count($pager->getResults());

// *****************************************************************************

if($ilosc > 0)
{
    ?>
    <section class="component">
        <header class="belka">
            <h2 class="title"><span><?php echo __('Pozostałe w kategorii'); ?></span></h2>
        </header>

        <?php
        // przelacznik widoku listy zajawek ***
        include_partial('Common/view_changer', array('comp_id' => $comp_id, 'view_mode' => $view_mode));

        // pager gorny * * *
        if($pager->haveToPaginate())
        {
            include_partial('Common/pager', array('pager' => $pager, 'url' => '@gali_opis_pager?id='.$galeria->getId().'&junk='.Functions::slugify($galeria->getTytul()).'&page='));
        }

        // lista zajawek ***
        include_partial('Common/lista_zajawek', array('obj_list' => $pager->getResults(), 'module' => 'igaleria', 'view_mode' => $view_mode, 'img_size' => $img_size, 'shrink' => $shrink));

        // pager dolny * * *
        if($pager->haveToPaginate())
        {
            include_partial('Common/pager', array('pager' => $pager, 'url' => '@gali_opis_pager?id='.$galeria->getId().'&junk='.Functions::slugify($galeria->getTytul()).'&page='));            
        }
        ?>
    </section>
<?php } ?>