<?php use_helper('Funkcje'); ?>
<div id="wrapper">
    <div class="grafika" style="opacity: 0;">
        <?php if (isset($num) && isset($PN) && isset($PN[$num - 1])): ?>
            <div class="photo-prev" title="<?php echo __('Pokaż poprzednie zdjęcie'); ?>" onclick="
            <?php
            echo 'collapseBigPhoto(); ' . remote_function(array(
                'url' => 'igaleria/getBigPhoto?' . (isset($preview) && $preview ? 'pid=' : 'id=') . $PN[$num - 1] . '&PN=' . serialize($PN) . '&num=' . ($num - 1) . (isset($preview) && $preview ? '&preview=true' : ''),
                'update' => 'bigPhoto',
                'script' => true,
                'complete' => 'justifyBigPhoto(); wcagstinks(document.getElementById(\'bigPhoto\')); jQuery(\'.photo-prev\').focus();'
            )) . ";go_num = " . ($num - 1) . ";return false;"
            ?>">
                <span></span>
            </div>
        <?php elseif (isset($num) && isset($PN) && isset($PN[count($PN) - 1])): ?>
            <div class="photo-prev" title="<?php echo __('Pokaż poprzednie zdjęcie'); ?>" onclick="
            <?php
            echo 'collapseBigPhoto(); ' . remote_function(array(
                'url' => 'igaleria/getBigPhoto?' . (isset($preview) && $preview ? 'pid=' : 'id=') . $PN[count($PN) - 1] . '&PN=' . serialize($PN) . '&num=' . (count($PN) - 1) . (isset($preview) && $preview ? '&preview=true' : ''),
                'update' => 'bigPhoto',
                'script' => true,
                'complete' => 'justifyBigPhoto(); wcagstinks(document.getElementById(\'bigPhoto\')); jQuery(\'.photo-prev\').focus();'
            )) . ";go_num = " . (count($PN) - 1) . ";return false;"
            ?>">
                <span></span>
            </div>
            <?php
        endif;

        if (is_file($normal_file)) {
            $normal_file = $upload_dir . 'normal_' . $obraz->getNazwaPliku();
            $orig_file = $upload_dir . 'orginal_' . $obraz->getNazwaPliku();
            $img_sizes = getimagesize(sfConfig::get('sf_web_dir') . $normal_file);
            if ($img_sizes)
                $height = $img_sizes[1] . 'px';
            else
                $height = 'auto';
        }
        else {
            $normal_file = 'common/def_zaj_normal.png';
            $height = 'auto';
        }

        echo link_to(image_tag($normal_file, array
        (
        'alt' => $obraz->getOpis() ? strip_tags($obraz->getOpis()) : '',
        'style' => 'display: block; height: ' . $height,
        'title' => $obraz->getNazwa() ? strip_tags($obraz->getNazwa()) : '',
        )), $orig_file, array('data-alt' => $obraz->getOpis() ? strip_tags($obraz->getOpis()) : strip_tags($obraz->getNazwa()), 'data-trigger-rel' => "lightbox", 'class' => "fancybox-trigger"));

        if(isset($num) && isset($PN) && isset($PN[$num + 1])):
            ?>
            <div class="photo-next" title="<?php echo __('Pokaż następne zdjęcie'); ?>" onclick="
            <?php
            echo 'collapseBigPhoto(); '.remote_function(array(
                'url' => 'igaleria/getBigPhoto?'.(isset($preview) && $preview ? 'pid=' : 'id=').$PN[$num + 1].'&PN='.serialize($PN).'&num='.($num + 1).(isset($preview) && $preview ? '&preview=true' : ''),
                'update' => 'bigPhoto',
                'script' => true,
                'complete' => 'justifyBigPhoto(); wcagstinks(document.getElementById(\'bigPhoto\')); jQuery(\'.photo-next\').focus();'
            )).";go_num = ".($num + 1).";return false;"
            ?>">
            <span></span>
            </div>
        <?php elseif(isset($num) && isset($PN) && isset($PN[0])): ?>
            <div class="photo-next" title="<?php echo __('Pokaż następne zdjęcie'); ?>" onclick="
            <?php
            echo 'collapseBigPhoto(); '.remote_function(array(
                'url' => 'igaleria/getBigPhoto?'.(isset($preview) && $preview ? 'pid=' : 'id=').$PN[0].'&PN='.serialize($PN).'&num='.(0).(isset($preview) && $preview ? '&preview=true' : ''),
                'update' => 'bigPhoto',
                'script' => true,
                'complete' => 'justifyBigPhoto(); wcagstinks(document.getElementById(\'bigPhoto\')); jQuery(\'.photo-next\').focus();'
            )).";go_num = ".(0).";return false;"
            ?>">
            <span></span>
            </div>
        <?php endif; ?>
        <div class="clr"></div>
    </div>

    <?php if ($obraz->getNazwa()): ?>
        <h4><?php echo $obraz->getNazwa(); ?></h4>

    <?php endif; ?>
    <?php if ($obraz->getOpis()): ?>
        <p><?php echo $obraz->getOpis(); ?></p>
    <?php endif; ?>
    <div class="zaj_cl"></div>

    <?php echo javascript_tag('
        function justifyBigPhoto()
        {
          var bigphoto = jQuery("#bigPhoto");
          var wrapperH = jQuery("#wrapper").outerHeight(true);
          //alert(wrapperH);
          bigphoto.animate({
              height: wrapperH+"px",
              opacity: 1,
          }, 700);
          jQuery("#bigPhoto div").animate({
                opacity: 1,
            }, 1500);
        }

        function collapseBigPhoto()
        {
          jQuery("#bigPhoto div").animate({
                opacity: 0,
            }, 1000);
        }

        //jQuery(document).ready(function(){ justifyBigPhoto(); });
        justifyBigPhoto();
        //alert(last_gal_height);
    '); ?>
    <div class="cl"></div>
</div>

<script>
            jQuery(".fancybox-trigger").click(function () {
                jQuery("a[rel='" + jQuery(this).data('trigger-rel') + "']").eq(go_num).trigger('click');
                return false;
            });
</script>