<?php
// [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
$shrink = sfConfig::get('app_shrink');

// [PRESET] grafika zajawki
$img_size = $view_mode == 'view_normal' ? sfConfig::get('app_img_size') : sfConfig::get('app_img_size_list'); // {null, mini, thumb, normal}
// [PRESET] kolumnowosc
$side_style = sfConfig::get('app_side_style');

// [PRESET] wymiery grafiki zajawki
if(!empty($img_size))
    $sizes = UstawieniePeer::getProperties('gali_config_'.$img_size);
else
    $sizes = array('x' => 0, 'y' => 0);


// *****************************************************************************
// [PRESET] navigator
$path = array(
    __(ModulPeer::getFromShort('gali')->getNazwa()) => url_for('@gali_list'),
    $kategoria->getNazwa() => '@gali_kategoria?id='.$kategoria->getId()."&junk=".Functions::slugify($kategoria->getNazwa()),
    $temat->getNazwa() => '@gali_temat?id='.$temat->getId()."&junk=".Functions::slugify($temat->getNazwa()));

$_SESSION['navigator_path'] = serialize($path);

?>

<section class="component">
    <header class="belka">
        <h2 class="title"><span><?php echo __(ModulPeer::getFromShort('gali')->getNazwa()); ?></span></h2>
    </header>

    <?php
    if($pager->getNbResults() > 0)
    {
        // przelacznik widoku listy zajawek * * *
        include_partial('Common/view_changer', array('comp_id' => $comp_id, 'view_mode' => $view_mode));

        // pager gorny * * *
        if($pager->haveToPaginate())
        {
            include_partial('Common/pager', array('pager' => $pager, 'text' => __('Znaleziono galerii'), 'url' => '@gali_temat_pager?id='.$tem_id.'&junk='.Functions::slugify($temat).'&page='));
        }

        // lista zajawek * * *
        include_partial('Common/lista_zajawek', array('obj_list' => $pager->getResults(), 'module' => 'igaleria', 'view_mode' => $view_mode, 'img_size' => $img_size, 'sizes' => $sizes, 'shrink' => $shrink));

        // pager dolny * * *
        if($pager->haveToPaginate())
        {
            include_partial('Common/pager', array('pager' => $pager, 'text' => __('Znaleziono galerii'), 'url' => '@gali_temat_pager?id='.$tem_id.'&junk='.Functions::slugify($temat).'&page='));
        }
    }
    else
    {
        echo '<div class="napis_pogrubiony empty-results"><span>'.__('Ta podkategoria jest pusta').'</span></div>';
    }
    ?> 
</section>