<?php

/**
 * GiObrazPub form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class GiObrazPubForm extends BaseGiObrazPubForm {

    public function setup() {
            $this->setWidgets(array(
              'id'          => new sfWidgetFormInputHidden(),
              'created_at'  => new sfWidgetFormInputHidden(),
              'updated_at'  => new sfWidgetFormInputHidden(),
              'nazwa_pliku' => new sfWidgetFormInputHidden(),
              'tytul'       => new sfWidgetFormInputHidden(),
              'kolejnosc'   => new sfWidgetFormInput(),
              'galeria_id'  => new sfWidgetFormPropelChoice(array('model' => 'GaleriaIPub', 'add_empty' => false), array('disabled' => true)),
            ));


        $this->setValidators(array(
            'id' => new sfValidatorPass(),
            'nazwa_pliku' => new sfValidatorString(array('max_length' => 100)),
            'tytul'       => new sfValidatorString(array('max_length' => 200)),
            'created_at' => new sfValidatorDateTime(array('required' => false)),
            'updated_at' => new sfValidatorDateTime(array('required' => false)),
            'kolejnosc' => new sfValidatorInteger(),
            'galeria_id' => new sfValidatorPropelChoice(array('model' => 'GaleriaIPub', 'column' => 'id')),
        ));

        $this->widgetSchema->setNameFormat('g_obraz_pub[%s]');

        $this->validatorSchema->setOption('allow_extra_fields', true);
        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

        $this->embedI18n(JezykTblPeer::getCultures());
    }

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}
