<?php

/**
 * GiSubkategoria form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGiSubkategoriaForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'           => new sfWidgetFormInputHidden(),
      'updated_at'   => new sfWidgetFormDateTime(),
      'created_at'   => new sfWidgetFormDateTime(),
      'kolejnosc'    => new sfWidgetFormInput(),
      'kategoria_id' => new sfWidgetFormPropelChoice(array('model' => 'GiKategoria', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'id'           => new sfValidatorPropelChoice(array('model' => 'GiSubkategoria', 'column' => 'id', 'required' => false)),
      'updated_at'   => new sfValidatorDateTime(array('required' => false)),
      'created_at'   => new sfValidatorDateTime(array('required' => false)),
      'kolejnosc'    => new sfValidatorInteger(array('required' => false)),
      'kategoria_id' => new sfValidatorPropelChoice(array('model' => 'GiKategoria', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('gi_subkategoria[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiSubkategoria';
  }

  public function getI18nModelName()
  {
    return 'GiSubkategoriaI18n';
  }

  public function getI18nFormClass()
  {
    return 'GiSubkategoriaI18nForm';
  }

}
