<?php



class GiKategoriaI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiKategoriaI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiKategoriaI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiKategoriaI18nPeer::TABLE_NAME);
		$tMap->setPhpName('GiKategoriaI18n');
		$tMap->setClassname('GiKategoriaI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 100);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'igaleria_kategoria_tbl', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 