<?php



class GiObrazPubMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiObrazPubMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiObrazPubPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiObrazPubPeer::TABLE_NAME);
		$tMap->setPhpName('GiObrazPub');
		$tMap->setClassname('GiObrazPub');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWA_PLIKU', 'NazwaPliku', 'VARCHAR', true, 100);

		$tMap->addColumn('TYTUL', 'Tytul', 'VARCHAR', true, 200);

		$tMap->addColumn('KOLEJNOSC', 'Kolejnosc', 'INTEGER', false, 11);

		$tMap->addForeignKey('GALERIA_ID', 'GaleriaId', 'INTEGER', 'igaleria_pub', 'ID', true, 11);

		$tMap->addColumn('EXIF_DATA', 'ExifData', 'TIMESTAMP', false, null);

	} 
} 