<?php

/**
 * gallery components.
 *
 * @package    sam3
 * @subpackage frontend
 * @author     Alfred broda
 * @version    SVN: $Id: components.class.php alfred $
 */
class igaleriaComponents extends sfComponents
{
	public function executePublikacja() {
	$modul_perm = ($this->getUser()->checkPermission('gali', 'edit') == 1) ? true : false;
        if (!$modul_perm) {
            return $this->ile = 0;
        }

        $perm_global = ($this->getUser()->checkPermission('gali_global', 'publish') == 1) ? true : false;
        $perm_user = ($this->getUser()->checkPermission('gali_user', 'publish') == 1) ? true : false;
        //sprawdza ile galerii jest zaznaczonych jako gotowe do publikacji globalnie
        if ($perm_global) {
            $c = new Criteria();
            $c->add(GaleriaIPeer::WIDOCZNA, 4);
            $this->ile = GaleriaIPeer::doCount($c);
        } elseif ($perm_user) {
            //sprawdza ile galerii danego uzytkownika jest zaznaczonych jako gotowe do publikacji
            $c = new Criteria();
            $c->add(GaleriaIPeer::WIDOCZNA, 4);
            $this->ile = GaleriaIPeer::doCount($c);
        } else {
            $this->ile = 0;
        }
	}
}
