<?php slot('top')?>
    <?php GenerateTab('gali'); ?>
<?php end_slot()?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_12"></div>
                <?php echo __('Pomoc') ?>
            </div>
            <div class="center_item_text"><p><?php echo __('Jeżeli galeria nie była wyświetlana w tym miesiącu, statystyka może dotyczyć miesiąca poprzedniego.') ?></p></div>
            <div class="center_item_footer"></div>
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('STATYSTYKI') ?></div>
        <table class="table_list">
            <thead>
                <tr>
                    <?php $sort = $sf_user->getAttribute('sort', null, 'sf_admin/igaleria_stat/sort'); ?>
                    <?php $type = $sf_user->getAttribute('type', null, 'sf_admin/igaleria_stat/sort'); ?>
                    <th id="sf_admin_list_th_name"><?php echo __('Nazwa') ?></th>
                        <th id="sf_admin_list_th_last">
                        <?php if ($sort == 'created_at') { ?>
                            <?php echo link_to(__('Ostatnie wyświetlenie'),'igaleria_stat/index?sort=created_at&type='.($type == 'asc' ? 'desc' : 'asc')) ?>
                        <font style="font-size: 9px;">(<?php echo __($type) ?>)</font>
                        <?php } else { ?>
                            <?php echo link_to(__('Ostatnie wyświetlenie'),'igaleria_stat/index?sort=created_at&type=asc'); ?>
                        <?php } ?>
                        </th>
                    <th colspan='2' id="sf_admin_list_th_visits">
                        <?php if ($sort == 'views') { ?>
                            <?php echo link_to(__('Wyświetleń'),'igaleria_stat/index?sort=views&type='.($type == 'asc' ? 'desc' : 'asc')) ?>
                        <font style="font-size: 9px;">(<?php echo __($type) ?>)</font>
                        <?php } else { ?>
                            <?php echo link_to(__('Wyświetleń'),'igaleria_stat/index?sort=views&type=asc'); ?>
                        <?php } ?>
                    </th>
                </tr>
            </thead>

            <tbody>
                <?php if(!$pager->getNbResults()): ?>
                    <tr class="row_0">
                        <td colspan="4" style="text-align: center; font-weight: bold;"><?php echo __('Brak statystyk') ?></td>
                    </tr>
                <?php endif; ?>

                <?php $i = 1; $sum = 0; foreach ($pager->getResults() as $res) { $odd = fmod(++$i, 2);?>
                <tr class="row_<?php echo $odd?>">
                    <td><?php echo ($res->hasStats()?link_to("{$res->getTytul()} ({$res->hasStats()})",'igaleria_stat/details?id='.$res->getPrimaryKey()):$res->getTytul())?></td>
                    <td><?php echo $res->getLastViewed()?></td>
                        <?php $views = $res->getAllViews(); $sum += $views; $max?$percent = (round(($views/$max)*100,2)):$percent=0 ?>
                    <td><b><?php echo $percent?>% (<?php echo $res->getAllViews()?>)</b></td>
                    <td><div style="width: 116px; border: 1px solid silver;" ><?php echo image_tag('stats/bar_l.gif').image_tag('stats/bar.gif',array('style'=>"width: {$percent}px; height: 16px;")).image_tag('stats/bar_r.gif')?></div></td>
                </tr>
                <?php } ?>
            </tbody>

            <tfoot>
                <tr>
                    <th class="result_separator">
                        <div style="float:left;">
                            <?php echo __('wyników') ?>: <?php echo $pager->getNbResults() ?>
                        </div>
                        <?php if ($pager->haveToPaginate()) { ?>
                        <div class="sf_admin_pagination">
                                <?php include_partial('pager',array('pager'=>$pager,'url'=>'igaleria_stat/index','update'=>'content','with'=>array()));?>
                        </div>
                        <?php } ?>
                    </th>
                    <th colspan="3" style="text-align:right;" class="result_separator">
                        <?php $percent = (round(($sum/$all)*100,2)) ?>
                        <?php echo __('Razem')." $sum ($percent%) ".__('wyświetleń').', '.__("miesiąc").': '.__(date('F'))?>
                    </th>
                </tr>
            </tfoot>

        </table>

    </div>
</div>
