<?php
use_helper('Form');
use_javascript('/js/sam3/yetii');
$cultures = JezykTblPeer::getLangsForModul('gali');

// [PRESET] etykietowanie:
$etykieta = 'style="background: #982a41; color: #fff;"';
if(in_array('labs', ModulPeer::getEnabled())){
    $label = LabelsMapTblPeer::getLabel(5, null);

if (!empty($label))
    $etykieta = 'style="background: linear-gradient(to right, ' . $label->getAlterColor() . ', ' . $label->getColor() . ', ' . $label->getColor() . '); color: ' . $label->getInvertedColor() . ';"';

}
if (!$form->getObject()->isNew()):
    ?>  
    <script>
        function uploadComplete() {
    <?php
    echo remote_function(array(
        'method' => 'get',
        'script' => true,
        'update' => 'gali_images',
        'url' => 'igobraz/updateView?gid=' . $form->getObject()->getId(),
    ))
    ?>
        }

        function reloadPhotoList(gal_id)
        {
            new Ajax.Updater('galp_juploader', '<?php echo $_SERVER['SCRIPT_NAME']; ?>/igaleria/reloadPhotoList.html', {
                asynchronous: true,
                method: 'post',
                evalScripts: true,
                parameters: 'galery_id=' + gal_id
            });
        }

        function load_cropper(gal_id, file, img_size, label, update_el)
        {
            new Ajax.Updater(update_el, '<?php echo $_SERVER['SCRIPT_NAME']; ?>/Common/przycinacz.html', {
                asynchronous: true,
                method: 'post',
                parameters: 'prefix=gali_config_&img_size=' + img_size + '&label=' + label + '&source_path=temp/gali/gal_' + gal_id + '/' + file + '&save_url=igobraz/thumbnailSave?size=' + img_size + '&return_url=igaleria/edit?id=' + gal_id + '&unique_id=' + update_el
            });
        }
    </script>
<?php endif; ?>
<div id="tab-container">
    <ul class="tabs" id="tab-container-nav">
        <li <?php echo $etykieta ?> class="sel"><a name="tab1"><?php echo __('Opis') ?></a></li>
        <?php if (!$form->getObject()->isNew()): ?>
            <li <?php echo $etykieta ?>><a name="tab2"><?php echo __('Upload') ?></a></li>
            <li <?php echo $etykieta ?>><a name="tab3"><?php echo __('Zdjecia') ?></a></li>
        <?php endif; ?>
    </ul>
    <div class="cl"></div> 
    <div id="tab1" class="tab">
        <?php if ($form->hasErrors()): ?>
            <div class="box_invalid"><strong><?php echo __('Proszę wypełnić wymagane pola!') ?></strong></div>
        <?php else: ?>
            <div class="box_valid"><?php echo __('Wymagane pola są oznaczone gwiazdką (<abbr class="required" title="Pole wymagane">*</abbr>).') ?></div>
        <?php endif; ?>
        <form action="<?php echo url_for('igaleria/' . (!$form->getObject()->isNew() ? 'update' : 'create') . (!$form->getObject()->isNew() ? '?id=' . $form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?> >
            <?php echo $form->renderHiddenFields() ?>
            <table class="table_common">
                <tr class="new_form_row">
                    <th scope="col"><?php echo $form['uzytkownik_dane']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['uzytkownik_dane']->renderError() ?>
                        <span class="help"><?php echo $form['uzytkownik_dane']->renderHelp() ?></span>
                        <?php echo $form['uzytkownik_dane'] ?>
                    </td>
                </tr>
                <tr class="new_form_row">
                    <th scope="col"><?php echo $form['uzytkownik_kontakt']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['uzytkownik_kontakt']->renderError() ?>
                        <span class="help"><?php echo $form['uzytkownik_kontakt']->renderHelp() ?></span>
                        <?php echo $form['uzytkownik_kontakt']->render(array('class' => $form['uzytkownik_kontakt']->hasError() ? 'valid-err' : 'valid', 'title' => $form['uzytkownik_kontakt']->hasError() ? __('Pole wymagane!') : '')) ?>
                    </td>
                </tr>
                <tr class="new_form_row">
                    <th scope="col"><?php echo $form['subkategoria_id']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['subkategoria_id']->renderError() ?>
                        <span class="help"><?php echo $form['subkategoria_id']->renderHelp() ?></span>
                        <?php echo $form['subkategoria_id']->render(array('class' => $form['subkategoria_id']->hasError() ? 'valid-err' : 'valid', 'title' => $form['subkategoria_id']->hasError() ? __('Pole wymagane!') : '')) ?>
                    </td>
                </tr>
            </table>

            <div id="tab-container-2">
                
                <?php
                        $module_short = 'gali';
                        $widget_name = array('tytul','zajawka');
                        include_partial('Common/simple_i18n_widget_tabber', array('form' => $form, 'module_short' => $module_short, 'widget_name' => $widget_name,'etykieta' => $etykieta));
                ?>
            </div>
            <div class="clr"></div>
            <!--<input type="submit" class="button" value="<?php echo __('Zapisz'); ?>" style="width: auto; float:right;"/>-->
            <div class="zgody">
				<?php 
					$conditions = StronyPubPeer::getZgody($przetwarzanie_danych = true, $akceptacja_regulaminu = true, $otrzymywanie_informacji = true);
					echo submit_conditional_tag(__('Zapisz'), array('conditions' => $conditions, 'class' => 'button', 'style' => 'float: right;')); 
				?>
			</div>
        </form>
    </div>
    <?php if (!$form->getObject()->isNew()): ?>
        <?php //uploader   ?>
        <div id="tab2" class="tab">
            <div id='galp_juploader'> 
                <?php include_partial('igaleria/jqueryUpload', array('galery_id' => $form->getObject()->getId())) ?>
            </div>
        </div>

        <?php //zdjęcia  ?>
        <div id="tab3" class="tab">
            <div id="gali_images">
                <?php include_partial('igobraz/list', array('lista_obrazow' => $lista_obrazow, 'zajawka' => $zajawka, 'gid' => $form->getObject()->getId())) ?>
            </div>
        </div>
    <?php endif; ?>
    <?php if (!$form->getObject()->isNew()): ?>
        <div class="clr"></div>
        <input type="button" class="button" style="width: auto; float:right;" value="<?php echo __('Zakończ'); ?>" onclick="location = ('<?php echo url_for("igaleria/dodano"); ?>')">
    <?php endif; ?>
        <div class="cl"></div>
</div>

<?php
if (!$form->getObject()->isNew()):
    echo javascript_tag("var tabber1 = new Yetii({id: 'tab-container', tabclass: 'tab', active: 2 });");
else:
    echo javascript_tag("var tabber1 = new Yetii({id: 'tab-container', tabclass: 'tab' });");
endif;
?>