<?php
// [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
$shrink = sfConfig::get('app_shrink');

// [PRESET] grafika zajawki
$img_size = $view_mode == 'view_normal' ? sfConfig::get('app_img_size') : sfConfig::get('app_img_size_list'); // {null, mini, thumb, normal}
// [PRESET] kolumnowosc
$side_style = sfConfig::get('app_side_style');

// [PRESET] wymiery grafiki zajawki
if(!empty($img_size))
    $sizes = UstawieniePeer::getProperties('gali_config_'.$img_size);
else
    $sizes = array('x' => 0, 'y' => 0);

//slot('navigator');
$path = array(__('Galerie internautów') => url_for('@gali_list'));
//include_partial('Common/nawigator', array('path' => $path));
//end_slot();
$_SESSION['navigator_path'] = serialize($path);
?>

<section class="component">
    <header class="belka">
        <h2 class="title"><span><?php echo __(ModulPeer::getFromShort('gali')->getNazwa()); ?></span></h2>
    </header>

    <?php
    // przelacznik widoku listy zajawek * * *
    include_partial('Common/view_changer', array('comp_id' => $comp_id, 'view_mode' => $view_mode));

    // pager gorny * * *
    if($pager->haveToPaginate())
    {
        include_partial('Common/pager', array('pager' => $pager, 'text' => __('Znaleziono galerii'), 'url' => '@gali_list_pager?page='));
    }

    // lista zajawek * * *
    include_partial('Common/lista_zajawek', array('obj_list' => $pager->getResults(), 'module' => 'igaleria', 'view_mode' => $view_mode, 'img_size' => $img_size, 'sizes' => $sizes, 'shrink' => $shrink, 'side_style' => $side_style));

    // pager dolny * * *
    if($pager->haveToPaginate())
    {
        include_partial('Common/pager', array('pager' => $pager, 'text' => __('Znaleziono galerii'), 'url' => '@gali_list_pager?page='));
    }
    ?> 
</section>
