<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GiStat filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGiStatFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'wejsc'      => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'wejsc'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('gi_stat_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiStat';
  }

  public function getFields()
  {
    return array(
      'galeria_id' => 'ForeignKey',
      'rok'        => 'Number',
      'miesiac'    => 'Number',
      'wejsc'      => 'Number',
    );
  }
}
