<?php

/**
 * GaleriaII18n form base class.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage form
 * @author     ##AUTHOR_NAME##
 */
class BaseGaleriaII18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'zajawka' => new sfWidgetFormInput(),
      'tytul'   => new sfWidgetFormInput(),
      'id'      => new sfWidgetFormInputHidden(),
      'culture' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'zajawka' => new sfValidatorString(array('max_length' => 250, 'required' => false)),
      'tytul'   => new sfValidatorString(array('max_length' => 200)),
      'id'      => new sfValidatorPropelChoice(array('model' => 'GaleriaI', 'column' => 'id', 'required' => false)),
      'culture' => new sfValidatorPropelChoice(array('model' => 'GaleriaII18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('galeria_ii18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GaleriaII18n';
  }


}
