<?php

/**
 * GiObraz form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGiObrazForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'created_at'  => new sfWidgetFormDateTime(),
      'updated_at'  => new sfWidgetFormDateTime(),
      'nazwa_pliku' => new sfWidgetFormInput(),
      'tytul'       => new sfWidgetFormInput(),
      'kolejnosc'   => new sfWidgetFormInput(),
      'galeria_id'  => new sfWidgetFormPropelChoice(array('model' => 'GaleriaI', 'add_empty' => false)),
      'exif_data'   => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorPropelChoice(array('model' => 'GiObraz', 'column' => 'id', 'required' => false)),
      'created_at'  => new sfValidatorDateTime(array('required' => false)),
      'updated_at'  => new sfValidatorDateTime(array('required' => false)),
      'nazwa_pliku' => new sfValidatorString(array('max_length' => 100)),
      'tytul'       => new sfValidatorString(array('max_length' => 200)),
      'kolejnosc'   => new sfValidatorInteger(array('required' => false)),
      'galeria_id'  => new sfValidatorPropelChoice(array('model' => 'GaleriaI', 'column' => 'id')),
      'exif_data'   => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('gi_obraz[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiObraz';
  }

  public function getI18nModelName()
  {
    return 'GiObrazI18n';
  }

  public function getI18nFormClass()
  {
    return 'GiObrazI18nForm';
  }

}
