<?php



class GiKategoriaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiKategoriaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiKategoriaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiKategoriaPeer::TABLE_NAME);
		$tMap->setPhpName('GiKategoria');
		$tMap->setClassname('GiKategoria');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('KOLEJNOSC', 'Kolejnosc', 'INTEGER', false, 11);

		$tMap->addColumn('WIDOCZNA', 'Widoczna', 'TINYINT', true, 1);

	} 
} 