<?php



class GiRankMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiRankMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiRankPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiRankPeer::TABLE_NAME);
		$tMap->setPhpName('GiRank');
		$tMap->setClassname('GiRank');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('GALERIA_ID', 'GaleriaId', 'INTEGER' , 'igaleria_pub', 'ID', true, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('RANK', 'Rank', 'FLOAT', true, null);

		$tMap->addColumn('VOTERS', 'Voters', 'INTEGER', true, 11);

		$tMap->addColumn('VIEWS', 'Views', 'INTEGER', true, 11);

	} 
} 