<?php



class GiSubkategoriaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiSubkategoriaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiSubkategoriaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiSubkategoriaPeer::TABLE_NAME);
		$tMap->setPhpName('GiSubkategoria');
		$tMap->setClassname('GiSubkategoria');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('KOLEJNOSC', 'Kolejnosc', 'INTEGER', false, 11);

		$tMap->addForeignKey('KATEGORIA_ID', 'KategoriaId', 'INTEGER', 'igaleria_kategoria_tbl', 'ID', true, 11);

	} 
} 