<?php


abstract class BaseGaleriaIPubPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'igaleria_pub';

	
	const CLASS_DEFAULT = 'lib.model.GaleriaIPub';

	
	const NUM_COLUMNS = 14;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'igaleria_pub.ID';

	
	const UPDATED_AT = 'igaleria_pub.UPDATED_AT';

	
	const CREATED_AT = 'igaleria_pub.CREATED_AT';

	
	const KOLEJNOSC = 'igaleria_pub.KOLEJNOSC';

	
	const WIDOCZNA = 'igaleria_pub.WIDOCZNA';

	
	const OBRAZ_ID = 'igaleria_pub.OBRAZ_ID';

	
	const X = 'igaleria_pub.X';

	
	const Y = 'igaleria_pub.Y';

	
	const Z = 'igaleria_pub.Z';

	
	const UZYTKOWNIK_DANE = 'igaleria_pub.UZYTKOWNIK_DANE';

	
	const UZYTKOWNIK_KONTAKT = 'igaleria_pub.UZYTKOWNIK_KONTAKT';

	
	const OPUBLIKOWAL = 'igaleria_pub.OPUBLIKOWAL';

	
	const SUBKATEGORIA_ID = 'igaleria_pub.SUBKATEGORIA_ID';

	
	const KOMENTARZ = 'igaleria_pub.KOMENTARZ';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'UpdatedAt', 'CreatedAt', 'Kolejnosc', 'Widoczna', 'ObrazId', 'X', 'Y', 'Z', 'UzytkownikDane', 'UzytkownikKontakt', 'Opublikowal', 'SubkategoriaId', 'Komentarz', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'updatedAt', 'createdAt', 'kolejnosc', 'widoczna', 'obrazId', 'x', 'y', 'z', 'uzytkownikDane', 'uzytkownikKontakt', 'opublikowal', 'subkategoriaId', 'komentarz', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::UPDATED_AT, self::CREATED_AT, self::KOLEJNOSC, self::WIDOCZNA, self::OBRAZ_ID, self::X, self::Y, self::Z, self::UZYTKOWNIK_DANE, self::UZYTKOWNIK_KONTAKT, self::OPUBLIKOWAL, self::SUBKATEGORIA_ID, self::KOMENTARZ, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'updated_at', 'created_at', 'kolejnosc', 'widoczna', 'obraz_id', 'x', 'y', 'z', 'uzytkownik_dane', 'uzytkownik_kontakt', 'opublikowal', 'subkategoria_id', 'komentarz', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'UpdatedAt' => 1, 'CreatedAt' => 2, 'Kolejnosc' => 3, 'Widoczna' => 4, 'ObrazId' => 5, 'X' => 6, 'Y' => 7, 'Z' => 8, 'UzytkownikDane' => 9, 'UzytkownikKontakt' => 10, 'Opublikowal' => 11, 'SubkategoriaId' => 12, 'Komentarz' => 13, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'updatedAt' => 1, 'createdAt' => 2, 'kolejnosc' => 3, 'widoczna' => 4, 'obrazId' => 5, 'x' => 6, 'y' => 7, 'z' => 8, 'uzytkownikDane' => 9, 'uzytkownikKontakt' => 10, 'opublikowal' => 11, 'subkategoriaId' => 12, 'komentarz' => 13, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::UPDATED_AT => 1, self::CREATED_AT => 2, self::KOLEJNOSC => 3, self::WIDOCZNA => 4, self::OBRAZ_ID => 5, self::X => 6, self::Y => 7, self::Z => 8, self::UZYTKOWNIK_DANE => 9, self::UZYTKOWNIK_KONTAKT => 10, self::OPUBLIKOWAL => 11, self::SUBKATEGORIA_ID => 12, self::KOMENTARZ => 13, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'updated_at' => 1, 'created_at' => 2, 'kolejnosc' => 3, 'widoczna' => 4, 'obraz_id' => 5, 'x' => 6, 'y' => 7, 'z' => 8, 'uzytkownik_dane' => 9, 'uzytkownik_kontakt' => 10, 'opublikowal' => 11, 'subkategoria_id' => 12, 'komentarz' => 13, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new GaleriaIPubMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(GaleriaIPubPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(GaleriaIPubPeer::ID);

		$criteria->addSelectColumn(GaleriaIPubPeer::UPDATED_AT);

		$criteria->addSelectColumn(GaleriaIPubPeer::CREATED_AT);

		$criteria->addSelectColumn(GaleriaIPubPeer::KOLEJNOSC);

		$criteria->addSelectColumn(GaleriaIPubPeer::WIDOCZNA);

		$criteria->addSelectColumn(GaleriaIPubPeer::OBRAZ_ID);

		$criteria->addSelectColumn(GaleriaIPubPeer::X);

		$criteria->addSelectColumn(GaleriaIPubPeer::Y);

		$criteria->addSelectColumn(GaleriaIPubPeer::Z);

		$criteria->addSelectColumn(GaleriaIPubPeer::UZYTKOWNIK_DANE);

		$criteria->addSelectColumn(GaleriaIPubPeer::UZYTKOWNIK_KONTAKT);

		$criteria->addSelectColumn(GaleriaIPubPeer::OPUBLIKOWAL);

		$criteria->addSelectColumn(GaleriaIPubPeer::SUBKATEGORIA_ID);

		$criteria->addSelectColumn(GaleriaIPubPeer::KOMENTARZ);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GaleriaIPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = GaleriaIPubPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return GaleriaIPubPeer::populateObjects(GaleriaIPubPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(GaleriaIPub $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof GaleriaIPub) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or GaleriaIPub object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = GaleriaIPubPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = GaleriaIPubPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				GaleriaIPubPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinGaleriaI(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GaleriaIPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinGiObrazPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GaleriaIPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinsfGuardUser(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GaleriaIPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinGiSubkategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GaleriaIPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinGaleriaI(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);
		GaleriaIPeer::addSelectColumns($c);

		$c->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = GaleriaIPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = GaleriaIPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					GaleriaIPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->setGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinGiObrazPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);
		GiObrazPubPeer::addSelectColumns($c);

		$c->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = GiObrazPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GiObrazPubPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					GiObrazPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinsfGuardUser(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);
		sfGuardUserPeer::addSelectColumns($c);

		$c->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = sfGuardUserPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = sfGuardUserPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					sfGuardUserPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinGiSubkategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);
		GiSubkategoriaPeer::addSelectColumns($c);

		$c->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = GiSubkategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = GiSubkategoriaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GiSubkategoriaPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					GiSubkategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GaleriaIPubPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
		$criteria->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
		$criteria->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
		$criteria->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol2 = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GaleriaIPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPeer::NUM_COLUMNS - GaleriaIPeer::NUM_LAZY_LOAD_COLUMNS);

		GiObrazPubPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

		sfGuardUserPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + (sfGuardUserPeer::NUM_COLUMNS - sfGuardUserPeer::NUM_LAZY_LOAD_COLUMNS);

		GiSubkategoriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + (GiSubkategoriaPeer::NUM_COLUMNS - GiSubkategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
		$c->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
		$c->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
		$c->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = GaleriaIPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = GaleriaIPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj1->setGaleriaI($obj2);
			} 
			
			$key3 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, $startcol3);
			if ($key3 !== null) {
				$obj3 = GiObrazPubPeer::getInstanceFromPool($key3);
				if (!$obj3) {

					$omClass = GiObrazPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					GiObrazPubPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addGaleriaIPub($obj1);
			} 
			
			$key4 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol4);
			if ($key4 !== null) {
				$obj4 = sfGuardUserPeer::getInstanceFromPool($key4);
				if (!$obj4) {

					$omClass = sfGuardUserPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj4 = new $cls();
					$obj4->hydrate($row, $startcol4);
					sfGuardUserPeer::addInstanceToPool($obj4, $key4);
				} 
								$obj4->addGaleriaIPub($obj1);
			} 
			
			$key5 = GiSubkategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol5);
			if ($key5 !== null) {
				$obj5 = GiSubkategoriaPeer::getInstanceFromPool($key5);
				if (!$obj5) {

					$omClass = GiSubkategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj5 = new $cls();
					$obj5->hydrate($row, $startcol5);
					GiSubkategoriaPeer::addInstanceToPool($obj5, $key5);
				} 
								$obj5->addGaleriaIPub($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAllExceptGaleriaI(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptGiObrazPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptsfGuardUser(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptGiSubkategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GaleriaIPubPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
				$criteria->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinAllExceptGaleriaI(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol2 = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GiObrazPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

		sfGuardUserPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (sfGuardUserPeer::NUM_COLUMNS - sfGuardUserPeer::NUM_LAZY_LOAD_COLUMNS);

		GiSubkategoriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + (GiSubkategoriaPeer::NUM_COLUMNS - GiSubkategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = GiObrazPubPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = GiObrazPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GiObrazPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGaleriaIPub($obj1);

			} 
				
				$key3 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol3);
				if ($key3 !== null) {
					$obj3 = sfGuardUserPeer::getInstanceFromPool($key3);
					if (!$obj3) {
	
						$omClass = sfGuardUserPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					sfGuardUserPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addGaleriaIPub($obj1);

			} 
				
				$key4 = GiSubkategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol4);
				if ($key4 !== null) {
					$obj4 = GiSubkategoriaPeer::getInstanceFromPool($key4);
					if (!$obj4) {
	
						$omClass = GiSubkategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj4 = new $cls();
					$obj4->hydrate($row, $startcol4);
					GiSubkategoriaPeer::addInstanceToPool($obj4, $key4);
				} 
								$obj4->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptGiObrazPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol2 = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GaleriaIPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPeer::NUM_COLUMNS - GaleriaIPeer::NUM_LAZY_LOAD_COLUMNS);

		sfGuardUserPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (sfGuardUserPeer::NUM_COLUMNS - sfGuardUserPeer::NUM_LAZY_LOAD_COLUMNS);

		GiSubkategoriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + (GiSubkategoriaPeer::NUM_COLUMNS - GiSubkategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = GaleriaIPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = GaleriaIPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = GaleriaIPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->setGaleriaIPub($obj1);

			} 
				
				$key3 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol3);
				if ($key3 !== null) {
					$obj3 = sfGuardUserPeer::getInstanceFromPool($key3);
					if (!$obj3) {
	
						$omClass = sfGuardUserPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					sfGuardUserPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addGaleriaIPub($obj1);

			} 
				
				$key4 = GiSubkategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol4);
				if ($key4 !== null) {
					$obj4 = GiSubkategoriaPeer::getInstanceFromPool($key4);
					if (!$obj4) {
	
						$omClass = GiSubkategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj4 = new $cls();
					$obj4->hydrate($row, $startcol4);
					GiSubkategoriaPeer::addInstanceToPool($obj4, $key4);
				} 
								$obj4->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptsfGuardUser(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol2 = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GaleriaIPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPeer::NUM_COLUMNS - GaleriaIPeer::NUM_LAZY_LOAD_COLUMNS);

		GiObrazPubPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GiSubkategoriaPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + (GiSubkategoriaPeer::NUM_COLUMNS - GiSubkategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = GaleriaIPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = GaleriaIPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = GaleriaIPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->setGaleriaIPub($obj1);

			} 
				
				$key3 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, $startcol3);
				if ($key3 !== null) {
					$obj3 = GiObrazPubPeer::getInstanceFromPool($key3);
					if (!$obj3) {
	
						$omClass = GiObrazPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					GiObrazPubPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addGaleriaIPub($obj1);

			} 
				
				$key4 = GiSubkategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol4);
				if ($key4 !== null) {
					$obj4 = GiSubkategoriaPeer::getInstanceFromPool($key4);
					if (!$obj4) {
	
						$omClass = GiSubkategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj4 = new $cls();
					$obj4->hydrate($row, $startcol4);
					GiSubkategoriaPeer::addInstanceToPool($obj4, $key4);
				} 
								$obj4->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptGiSubkategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol2 = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		GaleriaIPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPeer::NUM_COLUMNS - GaleriaIPeer::NUM_LAZY_LOAD_COLUMNS);

		GiObrazPubPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

		sfGuardUserPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + (sfGuardUserPeer::NUM_COLUMNS - sfGuardUserPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
				$c->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = GaleriaIPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = GaleriaIPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = GaleriaIPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->setGaleriaIPub($obj1);

			} 
				
				$key3 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, $startcol3);
				if ($key3 !== null) {
					$obj3 = GiObrazPubPeer::getInstanceFromPool($key3);
					if (!$obj3) {
	
						$omClass = GiObrazPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					GiObrazPubPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addGaleriaIPub($obj1);

			} 
				
				$key4 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol4);
				if ($key4 !== null) {
					$obj4 = sfGuardUserPeer::getInstanceFromPool($key4);
					if (!$obj4) {
	
						$omClass = sfGuardUserPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj4 = new $cls();
					$obj4->hydrate($row, $startcol4);
					sfGuardUserPeer::addInstanceToPool($obj4, $key4);
				} 
								$obj4->addGaleriaIPub($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  
  public static function doSelectWithI18n(Criteria $c, $culture = null, PropelPDO $con = null)
  {
        $c = clone $c;
    if ($culture === null)
    {
      $culture = sfPropel::getDefaultCulture();
    }

        if ($c->getDbName() == Propel::getDefaultDB())
    {
      $c->setDbName(self::DATABASE_NAME);
    }

    GaleriaIPubPeer::addSelectColumns($c);
    $startcol = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

    GaleriaIPubI18nPeer::addSelectColumns($c);

    $c->addJoin(GaleriaIPubPeer::ID, GaleriaIPubI18nPeer::ID, Criteria::LEFT_JOIN);
    $c->add(GaleriaIPubI18nPeer::CULTURE, $culture);

    $stmt = BasePeer::doSelect($c, $con);
    $results = array();

    while($row = $stmt->fetch(PDO::FETCH_NUM)) {

      $omClass = GaleriaIPubPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj1 = new $cls();
      $obj1->hydrate($row);
      $obj1->setCulture($culture);

      $omClass = GaleriaIPubI18nPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj2 = new $cls();
      $obj2->hydrate($row, $startcol);

      $obj1->setGaleriaIPubI18nForCulture($obj2, $culture);
      $obj2->setGaleriaIPub($obj1);

      $results[] = $obj1;
    }
    return $results;
  }


  
  public static function getI18nModel()
  {
    return 'GaleriaIPubI18n';
  }


	
	public static function doSelectJoinAllWithI18n(Criteria $c, $culture = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;        

    
		if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol2 = (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);            

		GaleriaIPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPeer::NUM_COLUMNS - GaleriaIPeer::NUM_LAZY_LOAD_COLUMNS);

		GiObrazPubPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (GiObrazPubPeer::NUM_COLUMNS - GiObrazPubPeer::NUM_LAZY_LOAD_COLUMNS);

		sfGuardUserPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + (sfGuardUserPeer::NUM_COLUMNS - sfGuardUserPeer::NUM_LAZY_LOAD_COLUMNS);

		GiSubkategoriaPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + (GiSubkategoriaPeer::NUM_COLUMNS - GiSubkategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

        GaleriaIPubI18nPeer::addSelectColumns($c);
        
        $c->addJoin(GaleriaIPubPeer::ID, GaleriaIPubI18nPeer::ID, $join_behavior);
        if($culture)
        {
            $c->add(GaleriaIPubI18nPeer::CULTURE, $culture);
        }

		$c->addJoin(array(GaleriaIPubPeer::ID,), array(GaleriaIPeer::ID,), $join_behavior);
		$c->addJoin(array(GaleriaIPubPeer::OBRAZ_ID,), array(GiObrazPubPeer::ID,), $join_behavior);
		$c->addJoin(array(GaleriaIPubPeer::OPUBLIKOWAL,), array(sfGuardUserPeer::ID,), $join_behavior);
		$c->addJoin(array(GaleriaIPubPeer::SUBKATEGORIA_ID,), array(GiSubkategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GaleriaIPubPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GaleriaIPubPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GaleriaIPubPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = GaleriaIPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = GaleriaIPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj1->setGaleriaI($obj2);
			} 
			
			$key3 = GiObrazPubPeer::getPrimaryKeyHashFromRow($row, $startcol3);
			if ($key3 !== null) {
				$obj3 = GiObrazPubPeer::getInstanceFromPool($key3);
				if (!$obj3) {

					$omClass = GiObrazPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					GiObrazPubPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addGaleriaIPub($obj1);
			} 
			
			$key4 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol4);
			if ($key4 !== null) {
				$obj4 = sfGuardUserPeer::getInstanceFromPool($key4);
				if (!$obj4) {

					$omClass = sfGuardUserPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj4 = new $cls();
					$obj4->hydrate($row, $startcol4);
					sfGuardUserPeer::addInstanceToPool($obj4, $key4);
				} 
								$obj4->addGaleriaIPub($obj1);
			} 
			
			$key5 = GiSubkategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol5);
			if ($key5 !== null) {
				$obj5 = GiSubkategoriaPeer::getInstanceFromPool($key5);
				if (!$obj5) {

					$omClass = GiSubkategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj5 = new $cls();
					$obj5->hydrate($row, $startcol5);
					GiSubkategoriaPeer::addInstanceToPool($obj5, $key5);
				} 
								$obj5->addGaleriaIPub($obj1);
			} 
                  
            $omClass = GaleriaIPubI18nPeer::getOMClass();
                
            $cls = Propel::importClass($omClass);
            $obj6 = new $cls();
            $obj6->hydrate($row, $startcol6);

            if($culture)
            {
                $obj1->setGaleriaIPubI18nForCulture($obj6, $culture);
            }
            else
            {                
                $obj1->setGaleriaIPubI18nForCulture($obj6, $obj6->getCulture());
            }
            $obj6->setGaleriaIPub($obj1);

			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return GaleriaIPubPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(GaleriaIPubPeer::ID);
			$selectCriteria->add(GaleriaIPubPeer::ID, $criteria->remove(GaleriaIPubPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(GaleriaIPubPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												GaleriaIPubPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof GaleriaIPub) {
						GaleriaIPubPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(GaleriaIPubPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								GaleriaIPubPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						GaleriaIPubI18nPeer::clearInstancePool();

						GiRankPeer::clearInstancePool();

						GiStatPeer::clearInstancePool();

						GiObrazPubPeer::clearInstancePool();

						NewsboxPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(GaleriaIPub $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(GaleriaIPubPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(GaleriaIPubPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(GaleriaIPubPeer::DATABASE_NAME, GaleriaIPubPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = GaleriaIPubPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = GaleriaIPubPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(GaleriaIPubPeer::DATABASE_NAME);
		$criteria->add(GaleriaIPubPeer::ID, $pk);

		$v = GaleriaIPubPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GaleriaIPubPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(GaleriaIPubPeer::DATABASE_NAME);
			$criteria->add(GaleriaIPubPeer::ID, $pks, Criteria::IN);
			$objs = GaleriaIPubPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseGaleriaIPubPeer::DATABASE_NAME)->addTableBuilder(BaseGaleriaIPubPeer::TABLE_NAME, BaseGaleriaIPubPeer::getMapBuilder());

