<?php


abstract class BaseGiStatPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'igaleria_stat';

	
	const CLASS_DEFAULT = 'lib.model.GiStat';

	
	const NUM_COLUMNS = 4;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const GALERIA_ID = 'igaleria_stat.GALERIA_ID';

	
	const ROK = 'igaleria_stat.ROK';

	
	const MIESIAC = 'igaleria_stat.MIESIAC';

	
	const WEJSC = 'igaleria_stat.WEJSC';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('GaleriaId', 'Rok', 'Miesiac', 'Wejsc', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('galeriaId', 'rok', 'miesiac', 'wejsc', ),
		BasePeer::TYPE_COLNAME => array (self::GALERIA_ID, self::ROK, self::MIESIAC, self::WEJSC, ),
		BasePeer::TYPE_FIELDNAME => array ('galeria_id', 'rok', 'miesiac', 'wejsc', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('GaleriaId' => 0, 'Rok' => 1, 'Miesiac' => 2, 'Wejsc' => 3, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('galeriaId' => 0, 'rok' => 1, 'miesiac' => 2, 'wejsc' => 3, ),
		BasePeer::TYPE_COLNAME => array (self::GALERIA_ID => 0, self::ROK => 1, self::MIESIAC => 2, self::WEJSC => 3, ),
		BasePeer::TYPE_FIELDNAME => array ('galeria_id' => 0, 'rok' => 1, 'miesiac' => 2, 'wejsc' => 3, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new GiStatMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(GiStatPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(GiStatPeer::GALERIA_ID);

		$criteria->addSelectColumn(GiStatPeer::ROK);

		$criteria->addSelectColumn(GiStatPeer::MIESIAC);

		$criteria->addSelectColumn(GiStatPeer::WEJSC);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiStatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiStatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = GiStatPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return GiStatPeer::populateObjects(GiStatPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			GiStatPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(GiStat $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = serialize(array((string) $obj->getGaleriaId(), (string) $obj->getRok(), (string) $obj->getMiesiac()));
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof GiStat) {
				$key = serialize(array((string) $value->getGaleriaId(), (string) $value->getRok(), (string) $value->getMiesiac()));
			} elseif (is_array($value) && count($value) === 3) {
								$key = serialize(array((string) $value[0], (string) $value[1], (string) $value[2]));
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or GiStat object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null && $row[$startcol + 1] === null && $row[$startcol + 2] === null) {
			return null;
		}
		return serialize(array((string) $row[$startcol + 0], (string) $row[$startcol + 1], (string) $row[$startcol + 2]));
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = GiStatPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = GiStatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = GiStatPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				GiStatPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinGaleriaIPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiStatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiStatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GiStatPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinGaleriaIPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GiStatPeer::addSelectColumns($c);
		$startcol = (GiStatPeer::NUM_COLUMNS - GiStatPeer::NUM_LAZY_LOAD_COLUMNS);
		GaleriaIPubPeer::addSelectColumns($c);

		$c->addJoin(array(GiStatPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GiStatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GiStatPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GiStatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GiStatPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = GaleriaIPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPubPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					GaleriaIPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGiStat($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GiStatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GiStatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GiStatPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GiStatPeer::addSelectColumns($c);
		$startcol2 = (GiStatPeer::NUM_COLUMNS - GiStatPeer::NUM_LAZY_LOAD_COLUMNS);

		GaleriaIPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (GaleriaIPubPeer::NUM_COLUMNS - GaleriaIPubPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(GiStatPeer::GALERIA_ID,), array(GaleriaIPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GiStatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GiStatPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GiStatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GiStatPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = GaleriaIPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = GaleriaIPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = GaleriaIPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					GaleriaIPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGiStat($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return GiStatPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(GiStatPeer::GALERIA_ID);
			$selectCriteria->add(GiStatPeer::GALERIA_ID, $criteria->remove(GiStatPeer::GALERIA_ID), $comparison);

			$comparison = $criteria->getComparison(GiStatPeer::ROK);
			$selectCriteria->add(GiStatPeer::ROK, $criteria->remove(GiStatPeer::ROK), $comparison);

			$comparison = $criteria->getComparison(GiStatPeer::MIESIAC);
			$selectCriteria->add(GiStatPeer::MIESIAC, $criteria->remove(GiStatPeer::MIESIAC), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(GiStatPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												GiStatPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof GiStat) {
						GiStatPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
												if (count($values) == count($values, COUNT_RECURSIVE)) {
								$values = array($values);
			}

			foreach ($values as $value) {

				$criterion = $criteria->getNewCriterion(GiStatPeer::GALERIA_ID, $value[0]);
				$criterion->addAnd($criteria->getNewCriterion(GiStatPeer::ROK, $value[1]));
				$criterion->addAnd($criteria->getNewCriterion(GiStatPeer::MIESIAC, $value[2]));
				$criteria->addOr($criterion);

								GiStatPeer::removeInstanceFromPool($value);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(GiStat $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(GiStatPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(GiStatPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(GiStatPeer::DATABASE_NAME, GiStatPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = GiStatPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($galeria_id, $rok, $miesiac, PropelPDO $con = null) {
		$key = serialize(array((string) $galeria_id, (string) $rok, (string) $miesiac));
 		if (null !== ($obj = GiStatPeer::getInstanceFromPool($key))) {
 			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(GiStatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
		$criteria = new Criteria(GiStatPeer::DATABASE_NAME);
		$criteria->add(GiStatPeer::GALERIA_ID, $galeria_id);
		$criteria->add(GiStatPeer::ROK, $rok);
		$criteria->add(GiStatPeer::MIESIAC, $miesiac);
		$v = GiStatPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 

Propel::getDatabaseMap(BaseGiStatPeer::DATABASE_NAME)->addTableBuilder(BaseGiStatPeer::TABLE_NAME, BaseGiStatPeer::getMapBuilder());

