<table class="table_list">
    <thead>
        <tr>
            <?php include_partial('list_th_tabular') ?>
            <th id="sf_admin_list_th_sf_actions" style="width:65px;"><?php echo __('Actions') ?></th>
        </tr>
    </thead>

    <tfoot>
        <tr>
            <th colspan="6" class="result_separator">
                <div class="sf_admin_pagination">
                    <?php if ($pager->haveToPaginate()): ?>
                        <div class="first"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir') . '/images/first.png', array('align' => 'absmiddle', 'alt' => __('First page'), 'title' => __('First page'))), 'igaleria/list?page=1') ?></div>
                        <div class="prev"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir') . '/images/previous.png', array('align' => 'absmiddle', 'alt' => __('Previous page'), 'title' => __('Previous page'))), 'igaleria/list?page=' . $pager->getPreviousPage()) ?></div>

                        <?php foreach ($pager->getLinks() as $page): ?>
                            <?php if ($page == $pager->getPage()): ?>
                            <?php echo '<div class="current" title="' . __('Bieżąca strona') . '">' . $page . '</div>' ?>
                            <?php else: ?>
                                            <div class="pages"><?php echo link_to($page, 'igaleria/list?page=' . $page) ?></div>
                            <?php endif; ?>
                        <?php endforeach; ?>

                        <div class="next"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir') . '/images/next.png', array('align' => 'absmiddle', 'alt' => __('Next page'), 'title' => __('Next page'))), 'igaleria/list?page=' . $pager->getNextPage()) ?></div>
                        <div class="last"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir') . '/images/last.png', array('align' => 'absmiddle', 'alt' => __('Last page'), 'title' => __('Last page'))), 'igaleria/list?page=' . $pager->getLastPage()) ?></div>
                    <?php endif; ?>
                </div>
                <div style="float:left;">
                    <?php echo __('wyników') ?>: <?php echo $pager->getNbResults() ?>
                </div>
            </th>
        </tr>
    </tfoot>

    <tbody>
        <?php if (!$pager->getNbResults()): ?>
            <tr class="row_0">
                <td colspan="6" style="text-align: center; font-weight: bold;"><?php echo __('Brak galerii internautów') ?></td>
            </tr>
        <?php endif; ?>

        <?php $i = 1; ?>
        <?php foreach ($pager->getResults() as $galeria): ?>
            <?php $odd = fmod(++$i, 2) ?>
            <tr class="row_<?php echo $odd ?>">
                <?php include_partial('list_td_batch_actions', array('galeria' => $galeria)) ?>
                <?php include_partial('list_td_tabular', array('galeria' => $galeria)) ?>
                <?php include_partial('list_td_actions', array('galeria' => $galeria)) ?>
            </tr>
        <?php endforeach; ?>
    </tbody>
    
</table>
