<?php use_helper('I18N', 'Date') ?>
<?php //use_stylesheet('sam3')   ?>
<?php use_stylesheet('admin/galeria') ?>
<?php use_javascript('swfobject.js', 'last') ?>
<?php use_javascript('functions.js', 'last') ?>

<?php $response = sfContext::getInstance()->getResponse(); ?>
<?php $response->addJavascript(sfConfig::get('sf_prototype_web_dir') . '/js/prototype'); ?>
<?php $response->addJavascript(sfConfig::get('sf_prototype_web_dir') . '/js/builder'); ?>
<?php $response->addJavascript(sfConfig::get('sf_prototype_web_dir') . '/js/effects'); ?>
<?php $response->addJavascript(sfConfig::get('sf_prototype_web_dir') . '/js/dragdrop'); ?>

<?php javascript_tag() ?>

function reloadPhotoList(gal_id)
{
new Ajax.Updater('galp_juploader', '<?php echo $_SERVER['SCRIPT_NAME']; ?>/galeria/reloadPhotoList.html', {
asynchronous:true, 
method:'post', 
evalScripts: true,
parameters:'galery_id=' + gal_id
});
}

function load_cropper(gal_id, file, img_size, label, update_el)
{
new Ajax.Updater(update_el, '<?php echo $_SERVER['SCRIPT_NAME']; ?>/frontend/przycinacz.html', {
asynchronous:true, 
method:'post', 
parameters:'prefix=galp_config_&img_size=' + img_size + '&label=' + label + '&source_path=temp/galp/gal_' + gal_id + '/' + file + '&save_url=gobraz/' + img_size + 'Save&return_url=galeria/edit?id=' + gal_id
});
}
var opisy = false;

function saveGal() {
if (opisy) {
if (confirm('Na pewno chcesz zapisać galerię? Niezapisane opisy obrazków zostaną utracone.')) {
opisy = false;
$('gal_form').onsubmit();
}
} else {
$('gal_form').onsubmit();
}
}

function upload_complete(val1, val2, val3, val4) {
var size = Math.floor(val2/(1024*1024));
var msize = size+'.'+Math.round((val2/(1024*1024)-size)*100)+' MB';
alert('Zapisano plik na serwerze ('+msize+'), teraz zostanie rozpakowany.');
$('extract_but').disabled = false;
extractZIP();
}

function extractZIP() {
alert('<?php echo __('Uwaga! W wypadku dużych plików rozpakowywanie może potrwać nawet do kilku minut!') ?>');
setLoader('extract_status',2);
<?php
echo remote_function(array(
    'update' => 'extract_status',
    'url' => 'igaleria/extract',
    'complete' => remote_function(array(
        'method' => 'get',
        'script' => true,
        'update' => 'gali_images',
        'url' => "igaleria/preview",
    )) . ";
                clearLoader(2);
                $('extract_but').disabled = 'disabled';
                " . remote_function(array(
        'method' => 'get',
        'update' => 'gali_order',
        'url' => "igaleria/sort",
    )) . " updateStruct();"))
?>
}

function prepareSort() {
<?php
echo Functions::sortableFunc('gal_kolejnosc', array(
    'url' => 'igaleria/sort',
    'update' => 'updater',
    'only' => 'gal_sortable',
    'complete' => remote_function(array(
        'method' => 'get',
        'update' => 'gali_images',
        'script' => true,
        'url' => "igaleria/preview",
    )) . '; updateStruct()'))
?>
}

function prepareGalSort() {
<?php
echo Functions::sortableFunc('gal_kolejnosc', array(
    'url' => 'igsubkategoria/sort',
    'update' => 'updater',
    'only' => 'gal_sortable',
    'success' => "updateStruct(); setTimeout(function(){ $('updater').innerHTML='' },4500); updateStruct();"))
?>
}
<?php end_javascript_tag(); ?>

<?php slot('top') ?>
<?php GenerateTab('gali'); ?>
<?php end_slot() ?>

<?php
$nav = array('igaleria' => 'Galerie',
    'igkategoria' => 'Kategorie',
    'igsubkategoria' => 'Podkategorie',
);
?>

<?php slot('actions'); ?>
<?php
GenerateButton(6, __('Dodaj'), remote_function(array(
    'method' => 'get',
    'script' => true,
    'update' => 'cms_right_panel',
    'url' => 'igaleria/create',
    'complete' => 'moveActions()'
)));
?>
<div class='action' id='action_slot'></div>
<?php end_slot(); ?>

<?php slot('message'); ?>
<span style="display: none;" class="notice" id="indicator"><div id="progress-2"></div><?php echo __('Trwa przetwarzanie danych...') ?></span>
<span id="updater"></span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div class="center_item_title">
            <div style="float: left; margin-top: -3px;">
                <?php
                echo button_to_function('', "ShowHideMainMenu()", array(
                    'class' => 'min_menu',
                    'alt' => __('Pokaż/Ukryj'),
                    'title' => __('Pokaż/Ukryj')
                ));
                ?>
            </div>
            <?php if (!sfConfig::get('multisite') && $sf_user->checkPermission('gali_global', 'publish') == 1): ?>
                <div style="float: right; margin-top: -3px;">
                    <?php
                    echo button_to_remote(' ', array(
                        'method' => 'get',
                        'script' => true,
                        'update' => 'cms_right_panel',
                        'url' => 'igkategoria/create',
                        'complete' => 'moveActions()'
                            ), array(
                        'class' => 'min_add',
                        'title' => __('Dodaje nową kategorię galerii internautów')
                    ));
                    ?>
                </div>
            <?php endif; ?>
            <div class="menu_icon_12"></div>
            <?php echo __('Struktura') ?>
        </div>
        <div id="cms_center_panel_content" class="struktura_tree_box" style="padding-bottom:20px;">
            <?php include_component('igkategoria', 'struktura'); ?>
        </div>

        <div style="clear: both" class="center_item" onclick="Element.toggle('filters');"><div class="menu_icon_7"></div><?php echo __('Szukanie zaawansowane') ?></div>
        <div style="<?php echo $filterform->isBound() ? '' : 'display: none;' ?>" id="filters" class="bgr_filter">

            <?php if (!$ajax): ?>
                <form action="<?php echo url_for('igaleria/list') ?>" method="post">
                    <table>
                        <tr><td><?php echo $filterform['tytul']->renderLabel() ?></td></tr>
                        <tr><td><?php echo $filterform['tytul'] ?></td></tr>
                        <tr><td><?php echo $filterform['zajawka']->renderLabel() ?></td></tr>
                        <tr><td><?php echo $filterform['zajawka'] ?></td></tr>
                        <tr><td><button type="submit" class="big_show" style="float:right;"><?php echo __('Szukaj') ?></button></td></tr>
                    </table>
                </form>
            <?php endif; ?>

        </div>
        <div class="center_item" onclick="window.location = '<?php echo url_for('igaleria/list?status=0') ?>';">
            <div class="menu_icon_0"></div>
            <?php echo __('Robocze') ?> (<?php echo $work ?>)
        </div>
        <div class="center_item" onclick="window.location = '<?php echo url_for('igaleria/list?status=1') ?>';">
            <div class="menu_icon_1"></div>
            <?php echo __('Opublikowane') ?> (<?php echo $pub ?>)
        </div>
        <div class="center_item" onclick="window.location = '<?php echo url_for('igaleria/list?status=4') ?>';">
            <div class="menu_icon_4"></div>
            <?php echo __('Do publikacji') ?> (<?php echo $to_pub ?>)
        </div>
        <div class="center_item" onclick="window.location = '<?php echo url_for('igaleria/list?status=6') ?>';">
            <div class="menu_icon_6"></div>
            <?php echo __('Usuń z publikacji') ?> (<?php echo $rem_pub ?>)
        </div>
        <div class="center_item" onclick="window.location = '<?php echo url_for('igaleria/list?status=3') ?>';">
            <div class="menu_icon_3"></div>
            <?php echo __('Do usunięcia') ?> (<?php echo $to_del ?>)
        </div>
        <div class="center_item" onclick="window.location = '<?php echo url_for('igaleria/list?status=7') ?>'">
            <div class="menu_icon_8"></div>
            <?php echo __('Wszystkie') ?> (<?php echo $all ?>)
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('LISTA GALERII') ?></div>
        <?php include_partial('igaleria/list_header', array('pager' => $pager)) ?>
        <?php include_partial('igaleria/list_messages', array('pager' => $pager)) ?>

        <?php include_partial('igaleria/list', array('pager' => $pager)) ?>

        <?php include_partial('list_batch_actions') ?>
        <?php include_partial('igaleria/list_footer', array('pager' => $pager)) ?>
        <div style="margin: 4px 0px 0px; float: right;">
            <?php if (($sf_user->checkPermission('gali_global', 'create') == 1) || ($sf_user->checkPermission('gali_user', 'create') == 1)): ?>
                <?php
                echo button_to_function(__('Dodaj'), remote_function(array(
                    'method' => 'get',
                    'script' => true,
                    'update' => 'cms_right_panel',
                    'url' => 'igaleria/create',
                    'class' => 'sf_admin_action_create',
                    'complete' => 'moveActions();'
                        )), array('class' => 'big_add'));
                ?>
            <?php endif; ?>
        </div>
    </div>
</div>
