<?php use_helper('Funkcje');

if($img_size ):
    if($img_size == 'mini'):	
		if($galeria->getGiObrazPub()){
			$getFile = $galeria->getGiObrazPub()->getMiniFile();
			$getLink = $galeria->getGiObrazPub()->getMiniLink();
		}
        $prefix = $img_size.'_';
    elseif($img_size == 'thumb'):
		if($galeria->getGiObrazPub()){
			$getFile = $galeria->getGiObrazPub()->getThumbFile();		
			$getLink = $galeria->getGiObrazPub()->getThumbLink();
		}
        $prefix = $img_size.'_';		
    else:
		if($galeria->getGiObrazPub()){
			$getFile = $galeria->getGiObrazPub()->getNormalFile();
			$getLink = $galeria->getGiObrazPub()->getNormalLink();
		}
        $prefix = $img_size.'_';
    endif;     

    $imgstyle = 'max-width: '.$sizes['x'].'px; max-height: '.$sizes['y'].'px;';
?>

    <div class="box-left" dir="ltr" style="width: <?php echo $sizes['x'];?>px;">
        <?php
            $zaj_file = '';
            $gobiekt = $galeria->getGiObrazPub();
            if($gobiekt) $zaj_file = $getFile;
            if(is_file($zaj_file))
                    $zaj_file = $getLink;
            else
                    $zaj_file = 'common/def_zaj_mini.png';

            if($galeria->countSubs() < 1)
                    echo image_tag($zaj_file,array('title'=>ReplaceChars($galeria->getTytul()),'alt'=>'grafika', 'style' => $imgstyle));
            else
                    echo link_to(image_tag($zaj_file,array('title'=>ReplaceChars($galeria->getTytul()),'alt'=>'grafika', 'style' => $imgstyle)),'@gali_opis?id=' . $galeria->getId() . "&junk=" . Functions::slugify($galeria->getTytul()),array('title'=>ReplaceChars($galeria->getTytul())));
        ?>
    </div>
    <?php endif;?>
    <div class="box-right" dir="ltr">
        <div class="title">
            <?php echo link_to($galeria->getTytul($sf_user->getCulture()),'@gali_opis?id=' . $galeria->getId() . "&junk=" . Functions::slugify($galeria->getTytul()),array('title'=>ReplaceChars($galeria->getTytul()))); ?>
        </div>
        <div class="tresc">
            <?php echo link_to($galeria->getZajawka($sf_user->getCulture()),'@gali_opis?id=' . $galeria->getId() . "&junk=" . Functions::slugify($galeria->getTytul()),array('title'=>ReplaceChars($galeria->getTytul()))); ?>
        </div>
        <?php
            // INFO
            $redaktor = trim($galeria->getUzytkownikDane());
            Functions::renderInfo($galeria, 'getCreatedAt', 'getViews', 'countSubs', $redaktor);
        ?>    
        <div class="link">
           <?php echo link_to(__('zobacz więcej'),'@gali_opis?id=' . $galeria->getId() . "&junk=" . Functions::slugify($galeria->getTytul()),array('title'=>ReplaceChars($galeria->getTytul())),array('title'=>__('zobacz więcej'))); ?>
        </div>
    </div>
	


