<?php
    // tomek-edit: troche magii, zeby zaznaczyc w menu biezacy temat i/lub kategorie
    $module = $sf_context->getModuleName();    
    $action = $sf_context->getActionName();    
    $kat_id = $tem_id = null;
    
    if($module == 'igaleria')
        if($action == 'kategoria')
            $kat_id = $sf_params->get('id');
        elseif($action == 'temat')
            $tem_id = $sf_params->get('id');
    // end-edit
?>

<nav class="igaleria_menu component">
    
    <?php if(!empty($title)): ?>
        <header class="belka">
            <h2 class="title"><span><?php echo __($title); ?></span></h2>
        </header>
    <?php else: ?>
	 <header class="belka">
            <h2 class="title hidden-wcag"><span><?php echo __('Menu galeria Interenatów'); ?></span></h2>
        </header>
    <?php endif; ?>
    
    <ul class="portal-menu">
        
        <?php
            if(!sfConfig::get('multisite'))
                {
                    if(sfContext::getInstance()->getActionName() == 'index' && empty($sel_kat_id))
                        echo '<li class="level-1 select">';
                    else
                        echo '<li class="level-1">';

                    echo link_to(__('Wszystkie'), url_for('@gali_list'), array('title' => __('Wszystkie')));

                    echo '</li>';
                }        
        ?>
        
        
        <?php foreach ($kategorie as $kategoria) { ?>
                <?php                                 
                    $tematy = $kategoria->getSubs(); ?>
                <?php if($tem_id) foreach($tematy as $temat) if($temat->getId() == $tem_id) $kat_id = $temat->getKategoriaId(); // tutaj magia tez dziala ?>
                <li class="level-1 <?php if($kategoria->getId() == $kat_id) echo 'select';?>">                   
                    <a href="<?php echo url_for('@gali_kategoria?id='.$kategoria->getId().'&junk='.Functions::slugify($kategoria->getNazwa())) ?>"><?php echo $kategoria->getNazwa(); ?></a>               
                <?php if (sizeof($tematy) > 0) { ?>
                    <ul class="level-2-wrapper">
                        <?php foreach ($tematy as $temat) { ?>
                            <li class="level-2 <?php if($temat->getId() == $tem_id) echo 'select';?>">
                                 <a href="<?php echo url_for('@gali_temat?id='.$temat->getId().'&junk='.Functions::slugify($temat->getNazwa())) ?>"><?php echo $temat->getNazwa(); ?></a>
                            </li>
                        <?php } ?>
                    </ul>                
                <?php } ?>
                </li>
        <?php } ?>
    </ul>
    
    <div class="cl"></div>
    
</nav>
