<?php
// unikatowe id dla tego boxu
$hash_id = 'gali_'.md5(microtime().$title);

// wymiary grafik
if($img_size){
    $sizes = UstawieniePeer::getProperties('gali_config_'.$img_size);
} else {
    $sizes = array('x' => 0, 'y' => 0);
}

$ilosc = count($galerie);
?>

<div class="galeriai_najnowsze_box component" id="<?php echo $hash_id; ?>">
    
    <?php if (!empty($title) || $dynamic): ?>
		<header class="belka">   
                    <?php if (!empty($title)): ?>			
                        <h2 class="title">
                            <?php echo link_to(__($title), '@gali_najnowsze', array('title' => __('Najnowsze galerie internautów'))); ?>
                        </h2>	
                    <?php else: ?>
                        <h2 class="title hidden-wcag">Najnowsze galerie</h2>                        	
                    <?php endif; ?>

                    <?php
                        if($dynamic)
                        {
                            echo '<div class="numbers">';
                            foreach($obj_list as $key => $obj)
                            {
                                if(!$side_style || $key < ceil($ilosc / ($side_style ? $side_style : 1)))
                                { 						
                                    echo '<div '.($key == 0 ? 'class="sel"' : '').' >';
                                    $key = $key + 1;
                                    echo '<span aria-hidden="true">'.$key.'</span>';
                                    echo '<span class="hidden-wcag">'.__('Wybierz element').' '.$key .'</span>';
                                    echo '</div>';
                                    
                                }
                            }
                            echo '</div>';
                        }
                    ?>
		</header>	
	<?php else: ?>
		<header class="belka hidden-wcag">   
			<h2 class="title">Najnowsze galerie</h2>
		</header>
    <?php endif; ?>
	
	
    <div class="switcher" id="<?php echo $hash_id; ?>-switcher">
        <?php foreach ($galerie as $key => $gal): ?>
            <div id="<?php echo $hash_id.'-'.$key; ?>" <?php if($dynamic) echo 'style="position: absolute; opacity:'.($key ? '0' : '1').'"'; ?> >
                <?php include_partial('igaleria/box', array('galeria' => $gal, 'sort' => 'date', 'img_size' => $img_size, 'sizes' => $sizes)); ?>
            </div>
            <?php if(!$dynamic):
                if($key + 1 < $ilosc):
                    echo '<div class="zaj_cl"></div>';
                else:
                    echo '<div class="cl"></div>';
                endif;
            endif; ?>
        <?php endforeach; ?>
    </div>
	
    <?php if(count($galerie)>1 && $dynamic): ?>
        <?php echo javascript_tag();?>
            jQuery(document).ready(conceptRotator(jQuery,jQuery('#<?php echo $hash_id; ?>'),jQuery('#<?php echo $hash_id; ?> .switcher'),jQuery("#<?php echo $hash_id; ?> .numbers"),<?php echo (count($galerie)-1)?>, <?php echo $czas * 1000; ?>));
        <?php end_javascript_tag();?>   
    <?php endif; ?>  
	
</div>