<?php
if (!empty($obj)) {

// [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
    $shrank = isset($shrink) && $shrink == true;

// [PRESET] title
    $title = $obj->getTytul();

// [PRESET] alt
    $alt = ''; //Functions::generujSkrotTekstu($obj->getZajawkaOpis() ? strip_tags($obj->getZajawkaOpis()) : $title, 100);
// [PRESET] link
    $link = '@gali_opis?id=' . $obj->getId() . "&junk=" . Functions::slugify($title);

    $img_file = null;
    $getFile = null;

    $gobiekt = $obj->getGiObrazPub();


    if ($img_size):
        if ($img_size == 'mini'):
            if ($gobiekt) {
                $getFile = $gobiekt->getMiniFile();
                $getLink = $gobiekt->getMiniLink();
            }
            $prefix = $img_size . '_'; elseif ($img_size == 'thumb'):
            if ($gobiekt) {
                $getFile = $gobiekt->getThumbFile();
                $getLink = $gobiekt->getThumbLink();
            }
            $prefix = $img_size . '_';
        else:
            if ($gobiekt) {
                $getFile = $gobiekt->getNormalFile();
                $getLink = $gobiekt->getNormalLink();
            }
            $prefix = $img_size . '_';
        endif;
    endif;
  
    $zaj_file = $getFile;

    if (is_file($zaj_file)):
        $img_file = image_tag($getLink, array('alt' => $alt));
    else:
        $img_file = image_tag(Functions::getDefZajPath($img_size), array('alt' => $alt));
    endif;
	
	
	// nadaje klase non_tresc kiedy nie ma żadnej tresci //
	$klasa_tresc = '';
	if($obj->getZajawka() == ''){
		$klasa_tresc = 'non_tresc';
	} else {
		$klasa_tresc = '';
	}
	
    ?>
    <div class="zajawka <?php echo $klasa_tresc; ?> <?php if ($shrank) echo ' shrank'; ?>">
        <a href="<?php echo url_for($link); ?>">
            <?php
            // GRAFIKA
            if (!empty($img_size) && !empty($img_file)) {
                echo '<span class="box-left">' . $img_file . '</span>';
            }
            ?>
            <span class="box-right">
                <?php if (!empty($trafnosc)) echo $trafnosc; ?>
                <span class="title"><?php echo $title; ?></span>

                <?php if (!$shrink): ?>
                    <span class="tresc"><?php echo $obj->getZajawka() . '&nbsp;'; ?></span>

                    <?php
                    $author = trim($obj->getUzytkownikDane());
                    Functions::renderInfo($obj, 'getCreatedAt', 'getViews', 'getCountSubs', $author);
                    ?> 

                    <span class="link"><?php echo __(UstawieniePeer::getProperties('graf_config_see_more_def')); ?></span>
                <?php endif; ?>
            </span>
        </a>
    </div>
    <?php
}
else {
    if ($_SERVER['SCRIPT_NAME'] == '/index_dev.php') {
        echo '<span class="error">Brak parametru `$obj` w galeria/zajawka!</span>';
    }
}
?>