<?php
if(!empty($obj))
{
    
    $img_file = null;

    // [PRESET] title
    $title = $obj->getTytul();

    // [PRESET] alt
    $alt = ''; //Functions::generujSkrotTekstu($obj->getZajawkaOpis() ? strip_tags($obj->getZajawkaOpis()) : '', 100);

    // [PRESET] link
    $link = url_for('@gali_opis?id='.$obj->getId()."&junk=".Functions::slugify($title));

    // [PRESET] etykietowanie:
    $etykieta = '';
    if(in_array('labs', ModulPeer::getEnabled())){
        $label = LabelsMapTblPeer::getLabel(5, $obj->getKatId());

    if(!empty($label))
        $etykieta = $label->getHtml();
    }
    if($obj->getObrazId()){
        $nazwaPliku = $obj->getGiObrazPub()->getNazwaPliku($obj->getObrazId());
    }
    
    
    // [PRESET] grafika zajawki
    $img_size = 'mini';
    $sizes = UstawieniePeer::getProperties('gali_config_'.$img_size);
    $prefix = $img_size.'_';
    $imgstyle = 'max-width: '.round($sizes['x'] / 2).'px; max-height: '.round($sizes['y'] / 2).'px;';
    if(isset($nazwaPliku)){
        $zaj_file = sfConfig::get('sf_upload_dir').(isset($preview) ? '/temp/gali/gal_' : '/pub/gali/gal_').$obj->getId().'/'.$prefix.$nazwaPliku;
    } else {
        $zaj_file = ''; 
    }
    if(is_file($zaj_file))
        $img_file = image_tag(str_replace(sfConfig::get('sf_upload_dir'), $sf_request->getRelativeUrlRoot().'/uploads', $zaj_file), array('alt' => $alt, 'style' => $imgstyle));
    else
        $img_file = image_tag(Functions::getDefZajPath($img_size), array('alt' => $alt, 'style' => $imgstyle));

    // [PRESET] format daty
    $date_format = 'j&\nb\sp;F Y';
    
    //$kat_link = '@gali_kategoria?id='.$obj->GetKatId()."&junk=".Functions::slugify($obj->GetKatNazwa());

    // ---------------------------------------------------------------------
    ?>
    <tr onclick="location.href = ('<?php echo $link; ?>');" <?php if(!empty($hash_id)) echo ' id="'.$hash_id.'"'; ?>>
        <?php if(sfConfig::get('app_table_view_show_gfx')): ?>
            <td class="thumbnail"><?php echo $img_file; ?></td>
        <?php endif; ?>
        <td class="title"><?php echo $title.(!empty($trafnosc) ? '<br/>'.$trafnosc : ''); ?></td>
        <td class="opis"><?php echo $obj->getZajawka() ?></td>
        <td class="kategorie"><?php echo $obj->getGiSubkategoria()->getGiKategoria()->getNazwa().' / '.$obj->getGiSubkategoria()->getNazwa();  ?></td>
    </tr>
    <?php
}
elseif($_SERVER['SCRIPT_NAME'] == '/index_dev.php')
{
    echo '<span class="error" style="font-weight: inherit;">Brak $obj lub nie jest to obiekt klasy IGaleriaPub: '.get_class($obj).'</span>';
}
?>
