<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GiRank filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGiRankFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'updated_at' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'created_at' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(), 'to_date' => new sfWidgetFormInputDateTimeRich(), 'template' => 'od: %from_date% <br/>do: %to_date%', 'with_empty' => true)),
      'rank'       => new sfWidgetFormFilterInput(),
      'voters'     => new sfWidgetFormFilterInput(),
      'views'      => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'updated_at' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'created_at' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'rank'       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'voters'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'views'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('gi_rank_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiRank';
  }

  public function getFields()
  {
    return array(
      'galeria_id' => 'ForeignKey',
      'updated_at' => 'Date',
      'created_at' => 'Date',
      'rank'       => 'Number',
      'voters'     => 'Number',
      'views'      => 'Number',
    );
  }
}
