<?php

/**
 * GiObrazI18n form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class GiObrazI18nForm extends BaseGiObrazI18nForm {

    public function setup() {
        parent::setup();

        $this->setWidgets(array(
            'nazwa'   => new sfWidgetFormInput(),
            'opis'    => new sfWidgetFormTextarea(),
            'id'      => new sfWidgetFormInputHidden(),
            'culture' => new sfWidgetFormInputHidden(),
        ));
        

        $this->setValidators(array(
            'nazwa' => new sfValidatorString(array('max_length' => 200, 'required' => false)),
            'opis' => new sfValidatorString(array('required' => false)),
            'id' => new sfValidatorPropelChoice(array('model' => 'GiObraz', 'column' => 'id')),
            'culture' => new sfValidatorPropelChoice(array('model' => 'GiObrazI18n', 'column' => 'culture')),
        ));


        $this->widgetSchema->setNameFormat('gi_obraz_i18n[%s]');
        $this->widgetSchema->setFormFormatterName('sam3');
        $this->widgetSchema->setHelps(array(
            'opis' => "Podaj dodatkowy opis obrazu",
            'nazwa' => "Tytuł obrazu widoczny dla Internauty",
        ));
        $this->widgetSchema->setLabels(array(
            'nazwa' => "Tytuł",
        ));

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
    }

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}
