<?php

/**
 * GiRank form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGiRankForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'galeria_id' => new sfWidgetFormInputHidden(),
      'updated_at' => new sfWidgetFormDateTime(),
      'created_at' => new sfWidgetFormDateTime(),
      'rank'       => new sfWidgetFormInput(),
      'voters'     => new sfWidgetFormInput(),
      'views'      => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'galeria_id' => new sfValidatorPropelChoice(array('model' => 'GaleriaIPub', 'column' => 'id', 'required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'rank'       => new sfValidatorNumber(),
      'voters'     => new sfValidatorInteger(),
      'views'      => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('gi_rank[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiRank';
  }


}
