<?php

/**
 * GiStat form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGiStatForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'galeria_id' => new sfWidgetFormInputHidden(),
      'rok'        => new sfWidgetFormInputHidden(),
      'miesiac'    => new sfWidgetFormInputHidden(),
      'wejsc'      => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'galeria_id' => new sfValidatorPropelChoice(array('model' => 'GaleriaIPub', 'column' => 'id', 'required' => false)),
      'rok'        => new sfValidatorPropelChoice(array('model' => 'GiStat', 'column' => 'rok', 'required' => false)),
      'miesiac'    => new sfValidatorPropelChoice(array('model' => 'GiStat', 'column' => 'miesiac', 'required' => false)),
      'wejsc'      => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('gi_stat[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GiStat';
  }


}
