<?php



class GiObrazPubI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiObrazPubI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiObrazPubI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiObrazPubI18nPeer::TABLE_NAME);
		$tMap->setPhpName('GiObrazPubI18n');
		$tMap->setClassname('GiObrazPubI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', false, 200);

		$tMap->addColumn('OPIS', 'Opis', 'LONGVARCHAR', false, null);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'igaleria_obraz_pub', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 