<?php



class GiSubkategoriaI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GiSubkategoriaI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GiSubkategoriaI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GiSubkategoriaI18nPeer::TABLE_NAME);
		$tMap->setPhpName('GiSubkategoriaI18n');
		$tMap->setClassname('GiSubkategoriaI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 100);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'igaleria_subkategoria_tbl', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 